%define _disable_ld_no_undefined 1

%define mod_name mod_php
%define load_order 70

%define build_test 1
%{?_with_test: %{expand: %%global build_test 1}}
%{?_without_test: %{expand: %%global build_test 0}}

%define build_libmagic 0
%{?_with_libmagic: %{expand: %%global build_libmagic 1}}
%{?_without_libmagic: %{expand: %%global build_libmagic 0}}

%define _requires_exceptions BEGIN\\|mkinstalldirs\\|pear(\\|/usr/bin/tclsh

%define php5_common_major 5
%define libname %mklibname php5_common %{php5_common_major}

# enforce versioned postgresql dependencies because of multiple version
# availability in the distribution
%define postgresql_version %(pg_config &>/dev/null && pg_config 2>/dev/null | awk '/^VERSION/ { print $4 }'|| echo 0)

%if %{mgaversion} < 3
%define _httpd_apxs %{_sbindir}/apxs
%define _httpd_modconfdir %{_sysconfdir}/httpd/modules.d/
%define _httpd_moddir %{_libdir}/apache-extramodules
%endif

Summary:	The PHP5 scripting language
Name:		php
Version:	5.5.18
%define subrel 1
Release:	%mkrel 1
Source0:	http://se.php.net/distributions/php-%{version}.tar.gz
Group:		Development/PHP
License:	PHP License
URL:		http://www.php.net
Source1:	php-test.ini
Source2:	maxlifetime
Source3:	php.crond
Source4:	php-fpm.service
Source5:	php-fpm.sysconf
Source6:	php-fpm.logrotate
# S7 comes from ext/fileinfo/create_data_file.php but could be removed someday
Source7:	create_data_file.php
Source9:	php-fpm-tmpfiles.conf
Source10:	http://pecl.php.net/get/jsonc-1.3.6.tgz
Source11:	http://pecl.php.net/get/zip-1.12.4.tgz
Patch0:		php-init.diff
Patch1:		php-shared.diff
Patch2:		php-5.5.3-mga_php.ini.diff
Patch3:		php-libtool.diff
Patch4:		php-phpize.diff
Patch5:		php-phpbuilddir.diff
# http://www.outoforder.cc/projects/apache/mod_transform/
# http://www.outoforder.cc/projects/apache/mod_transform/patches/php5-apache2-filters.patch
Patch6:		php5-apache2-filters.diff
# remove libedit once and for all
Patch7:		php-no_libedit.diff
Patch8:		php-xmlrpc_epi.patch
Patch9:		php-xmlrpc_no_rpath.diff
Patch11:	php-5.5.0-libdb.diff
# submitted as https://github.com/php/php-src/pull/361
Patch12:	php-5.5.0-mysqlnd-unix-sock-addr.patch
#####################################################################
# Stolen from PLD
Patch20:	php-5.5.0RC3-mail.diff
Patch21:	php-filter-shared.diff
Patch22:	php-dba-link.patch
Patch23:	php-zlib-for-getimagesize.patch
#(spuhler) taken from Mandriva
Patch25:	php-5.5.0-external_libzip.diff
Patch26:	php-5.3.9RC2-mcrypt-libs.diff
# for kolab2
# P50 was rediffed from PLD (php-5.3.3-8.src.rpm) which merges the annotation and status-current patches
Patch27:	php-imap-annotation+status-current.diff
# P51 was taken from http://kolab.org/cgi-bin/viewcvs-kolab.cgi/server/php/patches/php-5.3.2/
Patch28:	php-imap-myrights.diff
Patch29:	php-5.3.x-fpm-0.6.5-shared.diff
Patch30:	php-5.3.x-fpm-0.6.5-mdv_conf.diff
#####################################################################
# stolen from debian
Patch50:	php-session.save_path.diff
Patch51:	php-exif_nesting_level.diff
#####################################################################
# Stolen from fedora
# Functional changes
Patch115:	php-dlopen.diff
# Fix bugs
Patch120:	php-tests-wddx.diff
Patch121:	php-bug43221.diff
Patch123:	php-bug43589.diff
Patch226:	php-no-fvisibility_hidden_fix.diff
Patch227:	php-5.3.0RC1-enchant_lib64_fix.diff
Patch228:	php-5.3.0RC2-xmlrpc-epi_fix.diff
Patch229:	php-5.5.2-session.use_strict_mode.diff
# apache-mod_php
Patch400:	php-5.4.6-apache-mod_php.diff
BuildRequires:	apache-devel >= 2.2
BuildRequires:	autoconf
BuildRequires:	automake 
BuildRequires:	libtool
BuildRequires:	bison
BuildRequires:	byacc
BuildRequires:	bzip2-devel
BuildRequires:	c-client-devel >= 2007
BuildRequires:	curl-devel >= 7.9.8
BuildRequires:	db-devel
BuildRequires:	elfutils-devel
BuildRequires:	enchant-devel
BuildRequires:	expat-devel
BuildRequires:	file
BuildRequires:	firebird-devel
BuildRequires:	flex
BuildRequires:	freetds-devel >= 0.63
BuildRequires:	freetype2-devel
BuildRequires:	gdbm-devel
BuildRequires:	gd-devel >= 2.1
BuildRequires:	gettext-devel
BuildRequires:	gmp-devel
BuildRequires:	gpm-devel
BuildRequires:	icu-devel >= 49.0
BuildRequires:	json-c-devel >= 0.11-1
BuildRequires:	lemon
BuildRequires:	libjpeg-devel
BuildRequires:	libldap-devel
BuildRequires:	libmcrypt-devel
BuildRequires:	libpng-devel
BuildRequires:	libsasl-devel
BuildRequires:	libtool-devel
BuildRequires:	libx11-devel
BuildRequires:	libxml2-devel >= 2.6
BuildRequires:	libxpm-devel
BuildRequires:	libxslt-devel >= 1.1.0
BuildRequires:	libvpx-devel
BuildRequires:	libzip-devel >= 0.10.1
BuildRequires:	mbfl-devel >= 1.2.0-2
# for mysql_config
BuildRequires:	mysql-devel
BuildRequires:	ncurses-devel
BuildRequires:	net-snmp-devel
BuildRequires:	net-snmp-mibs
BuildRequires:	onig-devel >= 5.9.2
BuildRequires:	openssl
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
BuildRequires:	pcre-devel >= 6.6
BuildRequires:	postgresql-devel
BuildRequires:	re2c >= 0.13.4
BuildRequires:	readline-devel
BuildRequires:	recode-devel
BuildRequires:	sqlite3-devel
BuildRequires:	systemd-devel
BuildRequires:	t1lib-devel
BuildRequires:	tidy-devel
BuildRequires:	unixODBC-devel >= 2.2.1
BuildRequires:	xmlrpc-epi-devel
%if %{build_libmagic}
BuildRequires:	file-devel >= 5.14
%endif
Epoch: 3

%description
PHP5 is an HTML-embeddable scripting language. PHP5 offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP5 is fairly simple. The
most common use of PHP5 coding is probably as a replacement for CGI scripts.

%package	ini
Summary:	INI files for PHP
Group:		Development/Other

%description ini
The php-ini package contains the ini file required for PHP.


%package -n apache-mod_php
Summary:	The PHP5 HTML-embedded scripting language for use with apache
Group:		System/Servers
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires:	apache >= 2.2
#TODO are theses really required ?
Requires:	php-ctype >= %{epoch}:%{version}
Requires:	php-filter >= %{epoch}:%{version}
Requires:	php-ftp >= %{epoch}:%{version}
Requires:	php-gettext >= %{epoch}:%{version}
Requires:	php-hash >= %{epoch}:%{version}
Requires:	php-ini >= %{version}
Requires:	php-json >= %{epoch}:%{version}
Requires:	php-openssl >= %{epoch}:%{version}
Requires:	php-pcre >= %{epoch}:%{version}
Requires:	php-posix >= %{epoch}:%{version}
Requires:	php-session >= %{epoch}:%{version}
Suggests:	php-suhosin >= 0.9.33
Requires:	php-sysvsem >= %{epoch}:%{version}
Requires:	php-sysvshm >= %{epoch}:%{version}
Requires:	php-tokenizer >= %{epoch}:%{version}
Requires:	php-xmlreader >= %{epoch}:%{version}
Requires:	php-xmlwriter >= %{epoch}:%{version}
Requires:	php-zlib >= %{epoch}:%{version}
Requires:	php-xml >= %{epoch}:%{version}
Requires:	php-timezonedb >= 3:2012.3
# php is not fully thread safe
# http://www.php.net/manual/en/faq.installation.php#faq.installation.apache2
# http://stackoverflow.com/questions/681081/is-php-thread-safe

Epoch:		%{epoch}

%description -n apache-mod_php
PHP5 is an HTML-embeddable scripting language. PHP5 offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP5 is fairly simple. The
most common use of PHP5 coding is probably as a replacement for CGI scripts.

This package contains the PHP apache module.

%package	cli
Summary:	PHP5 CLI interface
Group:		Development/Other
URL:		http://www.php.net/cli
Requires:	%{libname} >= %{epoch}:%{version}
Requires:	php-ctype >= %{epoch}:%{version}
Requires:	php-filter >= %{epoch}:%{version}
Requires:	php-ftp >= %{epoch}:%{version}
Requires:	php-gettext >= %{epoch}:%{version}
Requires:	php-hash >= %{epoch}:%{version}
Requires:	php-ini >= %{version}
Requires:	php-json >= %{epoch}:%{version}
Requires:	php-openssl >= %{epoch}:%{version}
Requires:	php-pcre >= %{epoch}:%{version}
Requires:	php-posix >= %{epoch}:%{version}
Requires:	php-session >= %{epoch}:%{version}
Suggests:	php-suhosin >= 0.9.33
Requires:	php-sysvsem >= %{epoch}:%{version}
Requires:	php-sysvshm >= %{epoch}:%{version}
Requires:	php-timezonedb >= 3:2012.3
Requires:	php-tokenizer >= %{epoch}:%{version}
Requires:	php-xmlreader >= %{epoch}:%{version}
Requires:	php-xmlwriter >= %{epoch}:%{version}
Requires:	php-zlib >= %{epoch}:%{version}
Requires:	php-xml >= %{epoch}:%{version}
Provides:	php = %{epoch}:%{version}
Provides:	/usr/bin/php

%description	cli
PHP5 is an HTML-embeddable scripting language. PHP5 offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP5 is fairly simple. The
most common use of PHP5 coding is probably as a replacement for CGI scripts.

This package contains a command-line (CLI) version of php. You must also
install libphp5_common. If you need apache module support, you also need to
install the apache-mod_php package.

%package	cgi
Summary:	PHP5 CGI interface
Group:		Development/Other
Requires:	%{libname} >= %{epoch}:%{version}
Requires:	php-ctype >= %{epoch}:%{version}
Requires:	php-filter >= %{epoch}:%{version}
Requires:	php-ftp >= %{epoch}:%{version}
Requires:	php-gettext >= %{epoch}:%{version}
Requires:	php-hash >= %{epoch}:%{version}
Requires:	php-ini >= %{version}
Requires:	php-json >= %{epoch}:%{version}
Requires:	php-openssl >= %{epoch}:%{version}
Requires:	php-pcre >= %{epoch}:%{version}
Requires:	php-posix >= %{epoch}:%{version}
Requires:	php-session >= %{epoch}:%{version}
Suggests:	php-suhosin >= 0.9.33
Requires:	php-sysvsem >= %{epoch}:%{version}
Requires:	php-sysvshm >= %{epoch}:%{version}
Requires:	php-timezonedb >= 3:2012.3
Requires:	php-tokenizer >= %{epoch}:%{version}
Requires:	php-xmlreader >= %{epoch}:%{version}
Requires:	php-xmlwriter >= %{epoch}:%{version}
Requires:	php-zlib >= %{epoch}:%{version}
Requires:	php-xml >= %{epoch}:%{version}
Provides:	php = %{epoch}:%{version}
Provides:	php-fcgi = %{epoch}:%{version}-%{release}
Obsoletes:	php-fcgi
# because of a added compat softlink
Conflicts:	php-fcgi < %{epoch}:%{version}-%{release}

%description	cgi
PHP5 is an HTML-embeddable scripting language. PHP5 offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP5 is fairly simple. The
most common use of PHP5 coding is probably as a replacement for CGI scripts.

This package contains a standalone (CGI) version of php with FastCGI support.
You must also install libphp5_common. If you need apache module support, you
also need to install the apache-mod_php package.

%package -n	%{libname}
Summary:	Shared library for PHP5
Group:		Development/Other
Provides:	php-pcre = %{epoch}:%{version}
Provides:	php-simplexml = %{epoch}:%{version}

%description -n	%{libname}
This package provides the common files to run with different implementations of
PHP5. You need this package if you install the php standalone package or a
webserver with php support (ie: apache-mod_php).

%package	devel
Summary:	Development package for PHP5
Group:		Development/C
Requires:	%{libname} >= %{epoch}:%{version}
Requires:	autoconf automake libtool
Requires:	bison
Requires:	byacc
Requires:	chrpath
Requires:	dos2unix
Requires:	flex
Requires:	libxml2-devel >= 2.6
Requires:	libxslt-devel >= 1.1.0
Requires:	openssl >= 0.9.7
Requires:	openssl-devel >= 0.9.7
Requires:	pam-devel
Requires:	pcre-devel >= 6.6
Requires:	re2c >= 0.9.11
Requires:	tcl

%description	devel
The php-devel package lets you compile dynamic extensions to PHP5. Included
here is the source for the php extensions. Instead of recompiling the whole php
binary to add support for, say, oracle, install this package and use the new
self-contained extensions support. For more information, read the file
SELF-CONTAINED-EXTENSIONS.

%package	openssl
Summary:	OpenSSL extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/openssl
Requires:	%{libname} >= %{epoch}:%{version}

%description	openssl
This is a dynamic shared object (DSO) for PHP that will add OpenSSL support.

%package	zlib
Summary:	Zlib extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/zlib
Requires:	%{libname} >= %{epoch}:%{version}

%description	zlib
This is a dynamic shared object (DSO) for PHP that will add zlib compression
support to PHP.

%package	doc
Summary:	Documentation for PHP
Group:		Development/PHP
BuildArch:	noarch

%description	doc
Documentation for php.

%package	bcmath
Summary:	The bcmath module for PHP
Group:		Development/PHP
URL:		http://www.php.net/bcmath
Requires:	%{libname} >= %{epoch}:%{version}

%description	bcmath
This is a dynamic shared object (DSO) for PHP that will add bc style precision
math functions support.

For arbitrary precision mathematics PHP offers the Binary Calculator which
supports numbers of any size and precision, represented as strings.

%package	bz2
Summary:	Bzip2 extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/bzip2
Requires:	%{libname} >= %{epoch}:%{version}

%description	bz2
This is a dynamic shared object (DSO) for PHP that will add bzip2 compression
support to PHP.

The bzip2 functions are used to transparently read and write bzip2 (.bz2)
compressed files.

%package	calendar
Summary:	Calendar extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/calendar
Requires:	%{libname} >= %{epoch}:%{version}

%description	calendar
This is a dynamic shared object (DSO) for PHP that will add calendar support.

The calendar extension presents a series of functions to simplify converting
between different calendar formats. The intermediary or standard it is based on
is the Julian Day Count. The Julian Day Count is a count of days starting from
January 1st, 4713 B.C. To convert between calendar systems, you must first
convert to Julian Day Count, then to the calendar system of your choice. Julian
Day Count is very different from the Julian Calendar! For more information on
Julian Day Count, visit http://www.hermetic.ch/cal_stud/jdn.htm. For more
information on calendar systems visit
http://www.boogle.com/info/cal-overview.html. Excerpts from this page are
included in these instructions, and are in quotes.

%package	ctype
Summary:	Ctype extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/ctype
Requires:	%{libname} >= %{epoch}:%{version}

%description	ctype
This is a dynamic shared object (DSO) for PHP that will add ctype support.

The functions provided by this extension check whether a character or string
falls into a certain character class according to the current locale (see also
setlocale()).

%package	curl
Summary:	Curl extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/curl
Requires:	%{libname} >= %{epoch}:%{version}

%description	curl
This is a dynamic shared object (DSO) for PHP that will add curl support.

PHP supports libcurl, a library created by Daniel Stenberg, that allows you to
connect and communicate to many different types of servers with many different
types of protocols. libcurl currently supports the http, https, ftp, gopher,
telnet, dict, file, and ldap protocols. libcurl also supports HTTPS
certificates, HTTP POST, HTTP PUT, FTP uploading (this can also be done with
PHP's ftp extension), HTTP form based upload, proxies, cookies, and
user+password authentication.

%package	dba
Summary:	DBA extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/dba
Requires:	%{libname} >= %{epoch}:%{version}

%description	dba
This is a dynamic shared object (DSO) for PHP that will add flat-file databases
(DBA) support.

These functions build the foundation for accessing Berkeley DB style databases.

This is a general abstraction layer for several file-based databases. As such,
functionality is limited to a common subset of features supported by modern
databases such as Sleepycat Software's DB2. (This is not to be confused with
IBM's DB2 software, which is supported through the ODBC functions.)

%package	dom
Summary:	Dom extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/dom
Requires:	%{libname} >= %{epoch}:%{version}

%description	dom
This is a dynamic shared object (DSO) for PHP that will add dom support.

The DOM extension is the replacement for the DOM XML extension from PHP 4. The
extension still contains many old functions, but they should no longer be used.
In particular, functions that are not object-oriented should be avoided.

The extension allows you to operate on an XML document with the DOM API.

%package	enchant
Summary:	Libenchant binder, support near all spelling tools
Group:		Development/PHP
URL:		http://www.php.net/
Requires:	%{libname} >= %{epoch}:%{version}

%description	enchant
Enchant is a binder for libenchant. Libenchant provides a common API for many
spell libraries:

 - aspell/pspell (intended to replace ispell)
 - hspell (hebrew)
 - ispell 
 - hunspell (OpenOffice project, mozilla)
 - uspell (primarily Yiddish, Hebrew, and Eastern European languages)
   A plugin system allows to add custom spell support.
   see www.abisource.com/enchant/

%package	exif
Summary:	EXIF extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/exif
Requires:	%{libname} >= %{epoch}:%{version}
Requires:	php-mbstring >= %{epoch}:%{version}

%description	exif
This is a dynamic shared object (DSO) for PHP that will add EXIF tags support
in image files.

With the exif extension you are able to work with image meta data. For example,
you may use exif functions to read meta data of pictures taken from digital
cameras by working with information stored in the headers of the JPEG and TIFF
images.

%package	fileinfo
Summary:	Fileinfo extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/fileinfo
Requires:	%{libname} >= %{epoch}:%{version}

%description	fileinfo
This extension allows retrieval of information regarding vast majority of file.
This information may include dimensions, quality, length etc...

Additionally it can also be used to retrieve the mime type for a particular
file and for text files proper language encoding.

%package	filter
Summary:	Extension for safely dealing with input parameters
Group:		Development/PHP
URL:		http://www.php.net/filter
Requires:	%{libname} >= %{epoch}:%{version}

%description	filter
The Input Filter extension is meant to address this issue by implementing a set
of filters and mechanisms that users can use to safely access their input data.

%package	ftp
Summary:	FTP extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/ftp
Requires:	%{libname} >= %{epoch}:%{version}

%description	ftp
This is a dynamic shared object (DSO) for PHP that will add FTP support.

The functions in this extension implement client access to file servers
speaking the File Transfer Protocol (FTP) as defined in
http://www.faqs.org/rfcs/rfc959. This extension is meant for detailed access to
an FTP server providing a wide range of control to the executing script. If you
only wish to read from or write to a file on an FTP server, consider using the
ftp:// wrapper  with the filesystem functions  which provide a simpler and more
intuitive interface.

%package	gd
Summary:	GD extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/gd
Requires:	%{libname} >= %{epoch}:%{version}
Provides:	php-gd-bundled = %{epoch}:%{version}
Obsoletes:	php-gd-bundled

%description	gd
This is a dynamic shared object (DSO) for PHP that will add GD support,
allowing you to create and manipulate images with PHP using the gd library.

PHP is not limited to creating just HTML output. It can also be used to create
and manipulate image files in a variety of different image formats, including
gif, png, jpg, wbmp, and xpm. Even more convenient, PHP can output image
streams directly to a browser. You will need to compile PHP with the GD library
of image functions for this to work. GD and PHP may also require other
libraries, depending on which image formats you want to work with.

You can use the image functions in PHP to get the size of JPEG, GIF, PNG, SWF,
TIFF and JPEG2000 images.

%package	gettext
Summary:	Gettext extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/gettext
Requires:	%{libname} >= %{epoch}:%{version}

%description	gettext
This is a dynamic shared object (DSO) for PHP that will add gettext support.

The gettext functions implement an NLS (Native Language Support) API which can
be used to internationalize your PHP applications. Please see the gettext
documentation for your system for a thorough explanation of these functions or
view the docs at http://www.gnu.org/software/gettext/manual/gettext.html.

%package	gmp
Summary:	Gmp extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/gmp
Requires:	%{libname} >= %{epoch}:%{version}

%description	gmp
This is a dynamic shared object (DSO) for PHP that will add arbitrary length
number support using the GNU MP library.

%package	hash
Summary:	HASH Message Digest Framework
Group:		Development/PHP
URL:		http://www.php.net/hash
Requires:	%{libname} >= %{epoch}:%{version}

%description	hash
Native implementations of common message digest algorithms using a generic
factory method.

Message Digest (hash) engine. Allows direct or incremental processing of
arbitrary length messages using a variety of hashing algorithms.

%package	iconv
Summary:	Iconv extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/iconv
Requires:	%{libname} >= %{epoch}:%{version}

%description	iconv
This is a dynamic shared object (DSO) for PHP that will add iconv support.

This module contains an interface to iconv character set conversion facility.
With this module, you can turn a string represented by a local character set
into the one represented by another character set, which may be the Unicode
character set. Supported character sets depend on the iconv implementation of
your system. Note that the iconv function on some systems may not work as you
expect. In such case, it'd be a good idea to install the GNU libiconv library.
It will most likely end up with more consistent results.

%package	imap
Summary:	IMAP extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/iamp
Requires:	%{libname} >= %{epoch}:%{version}

%description	imap
This is a dynamic shared object (DSO) for PHP that will add IMAP support.

These functions are not limited to the IMAP protocol, despite their name. The
underlying c-client library also supports NNTP, POP3 and local mailbox access
methods.

%package	interbase
Summary:	Interbase/Firebird database module for PHP
Group:		Development/PHP
URL:		http://www.php.net/ibase
Requires:	%{libname} >= %{epoch}:%{version}
Obsoletes:	php-firebird
Provides:	php-firebird = %{epoch}:%{version}

%description	interbase
This is a dynamic shared object (DSO) for PHP that will add Firebird
database support.

%package	intl
Summary:	Internationalization extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/intl
Requires:	%{libname} >= %{epoch}:%{version}

%description	intl
This is a dynamic shared object (DSO) for PHP that will add
Internationalization support.

Internationalization extension implements ICU library functionality in PHP.

%package	json
Summary:	JavaScript Object Notation
Group:		Development/PHP
URL:		http://www.php.net/json
Requires:	%{libname} >= %{epoch}:%{version}

%description	json
Support for JSON (JavaScript Object Notation) serialization.

%package	ldap
Summary:	LDAP extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/ldap
Requires:	%{libname} >= %{epoch}:%{version}

%description	ldap
This is a dynamic shared object (DSO) for PHP that will add LDAP support.

LDAP is the Lightweight Directory Access Protocol, and is a protocol used to
access "Directory Servers". The Directory is a special kind of database that
holds information in a tree structure.

The concept is similar to your hard disk directory structure, except that in
this context, the root directory is "The world" and the first level
subdirectories are "countries". Lower levels of the directory structure contain
entries for companies, organisations or places, while yet lower still we find
directory entries for people, and perhaps equipment or documents.

%package	mbstring
Summary:	MBstring extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/mbstring
Requires:	%{libname} >= %{epoch}:%{version}

%description	mbstring
This is a dynamic shared object (DSO) for PHP that will add multibyte string
support.

mbstring provides multibyte specific string functions that help you deal with
multibyte encodings in PHP. In addition to that, mbstring handles character
encoding conversion between the possible encoding pairs. mbstring is designed
to handle Unicode-based encodings such as UTF-8 and UCS-2 and many single-byte
encodings for convenience.

%package	mcrypt
Summary:	Mcrypt extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/mcrypt
Requires:	%{libname} >= %{epoch}:%{version}

%description	mcrypt
This is a dynamic shared object (DSO) for PHP that will add mcrypt support.

This is an interface to the mcrypt library, which supports a wide variety of
block algorithms such as DES, TripleDES, Blowfish (default), 3-WAY, SAFER-SK64,
SAFER-SK128, TWOFISH, TEA, RC3 and GOST in CBC, OFB, CFB and ECB cipher modes.
Additionally, it supports RC6 and IDEA which are considered "non-free".

%package	mssql
Summary:	MS SQL extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/mssql
Requires:       freetds >= 0.63
Requires:	%{libname} >= %{epoch}:%{version}

%description	mssql
This is a dynamic shared object (DSO) for PHP that will add MS SQL databases
support using the FreeTDS library.

%package	mysql
Summary:	MySQL database module for PHP
Group:		Development/PHP
URL:		http://www.php.net/mysql
Requires:	%{libname} >= %{epoch}:%{version}
Requires:	%{name}-mysqlnd = %{epoch}:%{version}

%description	mysql
This is a dynamic shared object (DSO) for PHP that will add MySQL database
support.

These functions allow you to access MySQL database servers. More information
about MySQL can be found at http://www.mysql.com/.

This extension is deprecated as of PHP 5.5.0, and is not recommended for
writing new code as it will be removed in the future. Instead, either the
mysqli or PDO_MySQL extension should be used.

%package	mysqli
Summary:	MySQL database module for PHP
Group:		Development/PHP
URL:		http://www.php.net/mysqli
Requires:	%{libname} >= %{epoch}:%{version}
Requires:	%{name}-mysqlnd = %{epoch}:%{version}

%description	mysqli
This is a dynamic shared object (DSO) for PHP that will add MySQL database
support.

The mysqli extension allows you to access the functionality provided by MySQL
4.1 and above. It is an improved version of the older PHP MySQL driver,
offering various benefits. The developers of the PHP programming language
recommend using MySQLi when dealing with MySQL server versions 4.1.3 and newer
(takes advantage of new functionality)

More information about the MySQL Database server can be found at
http://www.mysql.com/

Documentation for MySQL can be found at http://dev.mysql.com/doc/.

Documentation for MySQLi can be found at http://www.php.net/manual/en/mysqli.overview.php.

%package	mysqlnd
Summary:	MySQL native database module for PHP
Group:		Development/PHP
URL:		http://www.php.net/mysqlnd
Requires:	%{libname} >= %{epoch}:%{version}

%description	mysqlnd
This is a dynamic shared object (DSO) for PHP that will add MySQL native
database support.

These functions allow you to access MySQL database servers. More information
about MySQL can be found at http://www.mysql.com/.

Documentation for MySQL can be found at http://dev.mysql.com/doc/.

%package	odbc
Summary:	ODBC extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/odbc
Requires:	%{libname} >= %{epoch}:%{version}

%description	odbc
This is a dynamic shared object (DSO) for PHP that will add ODBC support.

In addition to normal ODBC support, the Unified ODBC functions in PHP allow you
to access several databases that have borrowed the semantics of the ODBC API to
implement their own API. Instead of maintaining multiple database drivers that
were all nearly identical, these drivers have been unified into a single set of
ODBC functions.

%package	opcache
Summary:	Zend OPcache for PHP
Group:		Development/PHP
URL:		http://www.php.net/opcache
Requires:	%{libname} >= %{epoch}:%{version}
Conflicts:	php-eaccelerator php-apc php-xcache

%description	opcache
This is a dynamic shared object (DSO) for PHP that will add OPcache support.

The Zend OPcache provides faster PHP execution through opcode caching and
optimization. It improves PHP performance by storing precompiled script
bytecode in the shared memory. This eliminates the stages of reading code from
the disk and compiling it on future access. In addition, it applies a few
bytecode optimization patterns that make code execution faster.

%package	pcntl
Summary:	Process Control extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/pcntl
Requires:	%{libname} >= %{epoch}:%{version}

%description	pcntl
This is a dynamic shared object (DSO) for PHP that will add process spawning
and control support. It supports functions like fork(), waitpid(), signal()
etc.

Process Control support in PHP implements the Unix style of process creation,
program execution, signal handling and process termination. Process Control
should not be enabled within a webserver environment and unexpected results may
happen if any Process Control functions are used within a webserver
environment.

%package	pdo
Summary:	PHP Data Objects Interface
Group:		Development/PHP
URL:		http://www.php.net/pdo
Requires:	%{libname} >= %{epoch}:%{version}

%description	pdo
PDO provides a uniform data access interface, sporting advanced features such
as prepared statements and bound parameters. PDO drivers are dynamically
loadable and may be developed independently from the core, but still accessed
using the same API.

Read the documentation at http://www.php.net/pdo for more information.

%package	pdo_dblib
Summary:	Sybase Interface driver for PDO
Group:		Development/PHP
URL:		http://www.php.net/pdo_dblib
Requires:       freetds >= 0.63
Requires:	php-pdo >= %{epoch}:%{version}
Requires:	%{libname} >= %{epoch}:%{version}

%description	pdo_dblib
PDO_DBLIB is a driver that implements the PHP Data Objects (PDO) interface to
enable access from PHP to Microsoft SQL Server and Sybase databases through the
FreeTDS libary.

%package	pdo_firebird
Summary:	Firebird/InterBase driver for PDO
Group:		Development/PHP
URL:		http://www.php.net/pdo_firebird
Requires:	php-pdo >= %{epoch}:%{version}
Requires:	%{libname} >= %{epoch}:%{version}

%description	pdo_firebird
PDO_Firebird is a driver that implements the PHP Data Objects (PDO) interface to
enable access from PHP to Firebird databases.

%package	pdo_mysql
Summary:	MySQL Interface driver for PDO
Group:		Development/PHP
URL:		http://www.php.net/pdo_mysql
Requires:	php-pdo >= %{epoch}:%{version}
Requires:	%{libname} >= %{epoch}:%{version}
Requires:	%{name}-mysqlnd = %{epoch}:%{version}

%description	pdo_mysql
PDO_MYSQL is a driver that implements the PHP Data Objects (PDO) interface to
enable access from PHP to MySQL 3.x, 4.x and 5.x databases.
 
PDO_MYSQL will take advantage of native prepared statement support present in
MySQL 4.1 and higher. If you're using an older version of the mysql client
libraries, PDO will emulate them for you.

Please note that this build does NOT support compression protocol because it
is built with MySQL Native Driver (mysqlnd).

%package	pdo_odbc
Summary:	ODBC v3 Interface driver for PDO
Group:		Development/PHP
URL:		http://www.php.net/pdo_odbc
Requires:	php-pdo >= %{epoch}:%{version}
Requires:	%{libname} >= %{epoch}:%{version}

%description	pdo_odbc
PDO_ODBC is a driver that implements the PHP Data Objects (PDO) interface to
enable access from PHP to databases through ODBC drivers or through the IBM DB2
Call Level Interface (DB2 CLI) library. PDO_ODBC currently supports three
different "flavours" of database drivers:
 
 o ibm-db2  - Supports access to IBM DB2 Universal Database, Cloudscape, and
              Apache Derby servers through the free DB2 client. ibm-db2 is not
	      supported in Mageia.

 o unixODBC - Supports access to database servers through the unixODBC driver
              manager and the database's own ODBC drivers.

 o generic  - Offers a compile option for ODBC driver managers that are not
              explicitly supported by PDO_ODBC.

%package	pdo_pgsql
Summary:	PostgreSQL interface driver for PDO
Group:		Development/PHP
URL:		http://www.php.net/pdo_pgsql
Requires:	php-pdo >= %{epoch}:%{version}
Requires:	%{libname} >= %{epoch}:%{version}
Requires:	postgresql-libs >= %{postgresql_version}

%description	pdo_pgsql
PDO_PGSQL is a driver that implements the PHP Data Objects (PDO) interface to
enable access from PHP to PostgreSQL databases.

%package	pdo_sqlite
Summary:	SQLite v3 Interface driver for PDO
Group:		Development/PHP
URL:		http://www.php.net/pdo_sqlite
Requires:	php-pdo >= %{epoch}:%{version}
Requires:	%{libname} >= %{epoch}:%{version}

%description	pdo_sqlite
PDO_SQLITE is a driver that implements the PHP Data Objects (PDO) interface to
enable access to SQLite 3 databases.

This extension provides an SQLite v3 driver for PDO. SQLite V3 is NOT
compatible with the bundled SQLite 2 in PHP 5, but is a significant step
forwards, featuring complete utf-8 support, native support for blobs, native
support for prepared statements with bound parameters and improved concurrency.

%package	pgsql
Summary:	PostgreSQL database module for PHP
Group:		Development/PHP
URL:		http://www.php.net/pgsql
Requires:	%{libname} >= %{epoch}:%{version}
Requires:	postgresql-libs >= %{postgresql_version}

%description	pgsql
This is a dynamic shared object (DSO) for PHP that will add PostgreSQL database
support.

PostgreSQL database is Open Source product and available without cost.
Postgres, developed originally in the UC Berkeley Computer Science Department,
pioneered many of the object-relational concepts now becoming available in some
commercial databases. It provides SQL92/SQL99 language support, transactions,
referential integrity, stored procedures and type extensibility. PostgreSQL is
an open source descendant of this original Berkeley code.

%package	phar
Summary:	Allows running of complete applications out of .phar files
Group:		Development/PHP
URL:		http://www.php.net/phar
Requires:	%{libname} >= %{epoch}:%{version}
Requires:	php-bz2
Requires:	php-hash

%description	phar
This is the extension version of PEAR's PHP_Archive package. Support for
zlib, bz2 and crc32 is achieved without any dependency other than the external
zlib or bz2 extension.

.phar files can be read using the phar stream, or with the Phar class. If the
SPL extension is available, a Phar object can be used as an array to iterate
over a phar's contents or to read files directly from the phar.

Phar archives can be created using the streams API or with the Phar class, if
the phar.readonly ini variable is set to false.

Full support for MD5 and SHA1 signatures is possible. Signatures can be
required if the ini variable phar.require_hash is set to true. When PECL
extension hash is avaiable then SHA-256 and SHA-512 signatures are supported as
well.

%package	posix
Summary:	POSIX extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/posix
Requires:	%{libname} >= %{epoch}:%{version}

%description	posix
This is a dynamic shared object (DSO) for PHP that will add POSIX functions
support to PHP.

This module contains an interface to those functions defined in the IEEE 1003.1
(POSIX.1) standards document which are not accessible through other means.
POSIX.1 for example defined the open(), read(), write() and close() functions,
too, which traditionally have been part of PHP 3 for a long time. Some more
system specific functions have not been available before, though, and this
module tries to remedy this by providing easy access to these functions.

%package	readline
Summary:	Readline extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/readline
Requires:	%{libname} >= %{epoch}:%{version}

%description	readline
This PHP module adds support for readline functions (only for cli and cgi
SAPIs).

The readline() functions implement an interface to the GNU Readline library.
These are functions that provide editable command lines. An example being the
way Bash allows you to use the arrow keys to insert characters or scroll
through command history. Because of the interactive nature of this library, it
will be of little use for writing Web applications, but may be useful when
writing scripts used from a command line.

%package	recode
Summary:	Recode extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/recode
Requires:	%{libname} >= %{epoch}:%{version}

%description	recode
This is a dynamic shared object (DSO) for PHP that will add recode support
using the recode library.

This module contains an interface to the GNU Recode library. The GNU Recode
library converts files between various coded character sets and surface
encodings. When this cannot be achieved exactly, it may get rid of the
offending characters or fall back on approximations. The library recognises or
produces nearly 150 different character sets and is able to convert files
between almost any pair. Most RFC 1345 character sets are supported.

%package	session
Summary:	Session extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/session
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires:	%{libname} >= %{epoch}:%{version}
Requires:	webserver-base

%description	session
This is a dynamic shared object (DSO) for PHP that will add session support.

Session support in PHP consists of a way to preserve certain data across
subsequent accesses. This enables you to build more customized applications and
increase the appeal of your web site.

A visitor accessing your web site is assigned a unique id, the so-called
session id. This is either stored in a cookie on the user side or is propagated
in the URL.

%package	shmop
Summary:	Shared Memory Operations extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/shmop
Requires:	%{libname} >= %{epoch}:%{version}

%description	shmop
This is a dynamic shared object (DSO) for PHP that will add Shared Memory
Operations support.

Shmop is an easy to use set of functions that allows PHP to read, write, create
and delete Unix shared memory segments.

%package	snmp
Summary:	NET-SNMP extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/snmp
Requires:	net-snmp-mibs
Requires:	%{libname} >= %{epoch}:%{version}

%description	snmp
This is a dynamic shared object (DSO) for PHP that will add SNMP support using
the NET-SNMP libraries.

In order to use the SNMP functions you need to install the NET-SNMP package.

%package	soap
Summary:	Soap extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/soap
Requires:	%{libname} >= %{epoch}:%{version}

%description	soap
This is a dynamic shared object (DSO) for PHP that will add soap support.

The SOAP extension can be used to write SOAP Servers and Clients. It supports
subsets of SOAP 1.1, SOAP 1.2 and WSDL 1.1 specifications.

%package	sockets
Summary:	Sockets extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/sockets
Requires:	%{libname} >= %{epoch}:%{version}

%description	sockets
This is a dynamic shared object (DSO) for PHP that will add sockets support.

The socket extension implements a low-level interface to the socket
communication functions based on the popular BSD sockets, providing the
possibility to act as a socket server as well as a client.

%package	sqlite3
Summary:	SQLite database bindings for PHP
Group:		Development/PHP
URL:		http://www.php.net/sqlite3
Requires:	php-pdo >= %{epoch}:%{version}
Requires:	%{libname} >= %{epoch}:%{version}
Conflicts:	php-sqlite

%description	sqlite3
This is an extension for the SQLite Embeddable SQL Database Engine. SQLite is a
C library that implements an embeddable SQL database engine. Programs that link
with the SQLite library can have SQL database access without running a separate
RDBMS process.

SQLite is not a client library used to connect to a big database server. SQLite
is the server. The SQLite library reads and writes directly to and from the
database files on disk.

%package	sybase_ct
Summary:	Sybase extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/sybase
Obsoletes:	php-sybase
Provides:	php-sybase = %{epoch}:%{version}
Requires:	%{libname} >= %{epoch}:%{version}

%description	sybase_ct
This is a dynamic shared object (DSO) for PHP that will add Sybase support to
PHP.

%package	sysvmsg
Summary:	SysV msg extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/sem
Requires:	%{libname} >= %{epoch}:%{version}

%description	sysvmsg
This is a dynamic shared object (DSO) for PHP that will add SysV message queues
support.

%package	sysvsem
Summary:	SysV sem extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/sem
Requires:	%{libname} >= %{epoch}:%{version}

%description	sysvsem
This is a dynamic shared object (DSO) for PHP that will add SysV semaphores
support.

%package	sysvshm
Summary:	SysV shm extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/sem
Requires:	%{libname} >= %{epoch}:%{version}

%description	sysvshm
This is a dynamic shared object (DSO) for PHP that will add SysV Shared Memory
support.

%package	tidy
Summary:	Tidy HTML Repairing and Parsing for PHP
Group:		Development/PHP
URL:		http://www.php.net/tidy
Requires:	%{libname} >= %{epoch}:%{version}

%description	tidy
Tidy is a binding for the Tidy HTML clean and repair utility which allows you
to not only clean and otherwise manipluate HTML documents, but also traverse
the document tree using the Zend Engine 2 OO semantics.

%package	tokenizer
Summary:	Tokenizer extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/tokenizer
Requires:	%{libname} >= %{epoch}:%{version}

%description	tokenizer
This is a dynamic shared object (DSO) for PHP that will add Tokenizer support.

The tokenizer functions provide an interface to the PHP tokenizer embedded in
the Zend Engine. Using these functions you may write your own PHP source
analyzing or modification tools without having to deal with the language
specification at the lexical level.

%package	xml
Summary:	XML extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/xml
Requires:	%{libname} >= %{epoch}:%{version}

%description	xml
This is a dynamic shared object (DSO) for PHP that will add XML support. This
extension lets you create XML parsers and then define handlers for different
XML events.

%package	xmlreader
Summary:	Xmlreader extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/xmlreader
Requires:	php-dom
Requires:	%{libname} >= %{epoch}:%{version}

%description	xmlreader
XMLReader represents a reader that provides non-cached, forward-only access to
XML data. It is based upon the xmlTextReader api from libxml

%package	xmlrpc
Summary:	Xmlrpc extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/xmlrpc
Requires:	%{libname} >= %{epoch}:%{version}

%description	xmlrpc
This is a dynamic shared object (DSO) for PHP that will add XMLRPC support.

These functions can be used to write XML-RPC servers and clients. You can find
more information about XML-RPC at http://www.xmlrpc.com/, and more
documentation on this extension and its functions at
http://xmlrpc-epi.sourceforge.net/.

%package	xmlwriter
Summary:	Provides fast, non-cached, forward-only means to write XML data
Group:		Development/PHP
URL:		http://www.php.net/xmlwriter
Requires:	%{libname} >= %{epoch}:%{version}

%description	xmlwriter
This extension wraps the libxml xmlWriter API. Represents a writer that
provides a non-cached, forward-only means of generating streams or files
containing XML data.

%package	xsl
Summary:	Xsl extension module for PHP
Group:		Development/PHP
URL:		http://www.php.net/xsl
Requires:	%{libname} >= %{epoch}:%{version}

%description	xsl
This is a dynamic shared object (DSO) for PHP that will add xsl support.

The XSL extension implements the XSL standard, performing XSLT transformations
using the libxslt library

%package	wddx
Summary:	WDDX serialization functions
Group:		Development/PHP
URL:		http://www.php.net/wddx
Requires:	php-xml
Requires:	%{libname} >= %{epoch}:%{version}

%description	wddx
This is a dynamic shared object (DSO) that adds wddx support to PHP. 

These functions are intended for work with WDDX (http://www.openwddx.org/)

%package	zip
Summary:	A zip management extension for PHP
Group:		Development/PHP
URL:		http://www.php.net/zip

%description	zip
This is a dynamic shared object (DSO) for PHP that will add zip support to
create and read zip files using the libzip library.

%package	fpm
Summary:	PHP5 FastCGI Process Manager
Group:		Development/Other
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires:	%{libname} >= %{epoch}:%{version}
Requires:	php-ctype >= %{epoch}:%{version}
Requires:	php-filter >= %{epoch}:%{version}
Requires:	php-ftp >= %{epoch}:%{version}
Requires:	php-gettext >= %{epoch}:%{version}
Requires:	php-hash >= %{epoch}:%{version}
Requires:	php-ini >= %{version}
Requires:	php-json >= %{epoch}:%{version}
Requires:	php-openssl >= %{epoch}:%{version}
Requires:	php-pcre >= %{epoch}:%{version}
Requires:	php-posix >= %{epoch}:%{version}
Requires:	php-session >= %{epoch}:%{version}
Suggests:	php-suhosin >= 0.9.33
Requires:	php-sysvsem >= %{epoch}:%{version}
Requires:	php-sysvshm >= %{epoch}:%{version}
Requires:	php-timezonedb >= 3:2012.3
Requires:	php-tokenizer >= %{epoch}:%{version}
Requires:	php-xmlreader >= %{epoch}:%{version}
Requires:	php-xmlwriter >= %{epoch}:%{version}
Requires:	php-zlib >= %{epoch}:%{version}
Requires:	php-xml >= %{epoch}:%{version}
Requires:	webserver-base
Provides:	php = %{epoch}:%{version}

%description	fpm
PHP5 is an HTML-embeddable scripting language. PHP5 offers built-in database
integration for several commercial and non-commercial database management
systems, so writing a database-enabled script with PHP5 is fairly simple. The
most common use of PHP5 coding is probably as a replacement for CGI scripts.

This package contains the FastCGI Process Manager. You must also install
libphp5_common.

%prep

%setup -q -n php-%{version}

# replace json due to license issues:
# http://www.json.org/license.html -> "The Software shall be used for Good, not Evil."
rm -rf ext/json
tar -zxf %{SOURCE10}
mv package.xml jsonc-*/
mv jsonc-* ext/json

# the ".droplet" suffix is here to nuke the backups later..., we don't want those in php-devel

%patch0 -p1 -b .init.droplet
%patch1 -p1 -b .shared.droplet
%patch2 -p1 -b .mga_php.ini.droplet
%patch3 -p1 -b .libtool.droplet
%patch4 -p1 -b .phpize.droplet
%patch5 -p1 -b .phpbuilddir.droplet
%patch6 -p1 -b .apache2-filters.droplet
%patch7 -p1 -b .no_libedit.droplet
%patch8 -p1 -b .xmlrpc_epi_header
%patch9 -p1 -b .xmlrpc_no_rpath.droplet
%patch11 -p1 -b .libdb.droplet
%patch12 -p1 -b .mysqlnd-unix-sock-addr

#####################################################################
# Stolen from PLD
%patch20 -p1 -b .mail.droplet
%patch21 -p0 -b .filter-shared.droplet
%patch22 -p1 -b .dba-link.droplet
%patch23 -p1 -b .zlib-for-getimagesize.droplet
%patch25 -p1 -b .external_libzip.droplet
%patch26 -p0 -b .mcrypt-libs.droplet
# for kolab2
%patch27 -p1 -b .imap-annotation.droplet
%patch28 -p1 -b .imap-myrights.droplet
# fpm stuff
%patch29 -p1 -b .shared-fpm.droplet
%patch30 -p1 -b .fpmmdv.droplet

#####################################################################
# stolen from debian
%patch50 -p1 -b .session.save_path.droplet
%patch51 -p0 -b .exif_nesting_level.droplet

#####################################################################
# Stolen from fedora
%patch115 -p1 -b .dlopen.droplet

# upstream fixes
%patch120 -p1 -b .tests-wddx.droplet
%patch121 -p1 -b .bug43221.droplet
%patch123 -p1 -b .bug43589.droplet
%patch226 -p1 -b .no-fvisibility_hidden.droplet
%patch227 -p0 -b .enchant_lib64_fix.droplet
%patch228 -p0 -b .xmlrpc-epi_fix.droplet
%patch229 -p1 -b .session.use_strict_mode.droplet

# mod_php
%patch400 -p1
mv sapi/apache2handler/mod_php5.c sapi/apache2handler/mod_php.c

# replace zip with the one from pecl (duh!?) due to segfaults
# https://bugs.mageia.org/show_bug.cgi?id=13820
rm -rf ext/zip
tar -zxf %{SOURCE11}
mv package.xml zip-*/
mv zip-* ext/zip

cp %{SOURCE1} php-test.ini
cp %{SOURCE4} php-fpm.service
cp %{SOURCE5} php-fpm.sysconf
cp %{SOURCE6} php-fpm.logrotate
cp %{SOURCE7} create_data_file.php

# nuke bogus checks becuase i fixed this years ago in our recode package
rm -f ext/recode/config9.m4

# Change perms otherwise rpm would get fooled while finding requires
find -name "*.inc" | xargs chmod 644
find -name "*.php*" | xargs chmod 644
find -name "*README*" | xargs chmod 644

mkdir -p php-devel/extensions
mkdir -p php-devel/sapi

# Install test files in php-devel
cp -a tests php-devel

cp -dpR ext/* php-devel/extensions/
rm -f php-devel/extensions/informix/stub.c
rm -f php-devel/extensions/standard/.deps
rm -f php-devel/extensions/skeleton/EXPERIMENTAL

# SAPI
cp -dpR sapi/* php-devel/sapi/ 
rm -f php-devel/sapi/thttpd/stub.c
rm -f php-devel/sapi/cgi/php.sym
rm -f php-devel/sapi/fastcgi/php.sym
rm -f php-devel/sapi/pi3web/php.sym

# cleanup
find php-devel -name "*.droplet" | xargs rm -f

# don't ship MS Windows source
rm -rf php-devel/extensions/com_dotnet

# likewise with these:
find php-devel -name "*.dsp" | xargs rm -f
find php-devel -name "*.mak" | xargs rm -f
find php-devel -name "*.w32" | xargs rm

# make sure using system libs
rm -rf ext/pcre/pcrelib
rm -rf ext/pdo_sqlite/sqlite
rm -rf ext/xmlrpc/libxmlrpc

%build
%serverbuild

export CFLAGS="${CFLAGS} -fno-strict-aliasing"
export LDFLAGS="%{ldflags}"

cat > php-devel/buildext <<EOF
#!/bin/bash
gcc -Wall -fPIC -shared $CFLAGS \\
    -I. \`%{_bindir}/php-config --includes\` \\
    -I%{_includedir}/libxml2 \\
    -I%{_includedir}/freetype \\
    -I%{_includedir}/openssl \\
    -I%{_usrsrc}/php-devel/ext \\
    -I%{_includedir}/\$1 \\
    \$4 \$2 -o \$1.so \$3 -lc
EOF

chmod 755 php-devel/buildext

#export PHP_AUTOCONF=autoconf-2.13
rm -f configure
rm -rf autom4te.cache
./buildconf --force

# Do this patch with a perl hack...
perl -pi -e "s|'\\\$install_libdir'|'%{_libdir}'|" ltmain.sh

export oldstyleextdir=yes
export EXTENSION_DIR="%{_libdir}/php/extensions"
export PROG_SENDMAIL="%{_sbindir}/sendmail"
export GD_SHARED_LIBADD="$GD_SHARED_LIBADD -lm"

# never use "--disable-rpath", it does the opposite

# Configure php5
for i in fpm cgi cli apxs; do
./configure \
    `[ $i = fpm ] && echo --disable-cli --enable-fpm --with-libxml-dir=%{_prefix} --with-fpm-user=apache --with-fpm-group=apache --with-fpm-systemd` \
    `[ $i = cgi ] && echo --disable-cli` \
    `[ $i = cli ] && echo --disable-cgi --enable-cli` \
    `[ $i = apxs ] && echo --with-apxs2=%{_httpd_apxs}` \
    --build=%{_build} \
    --prefix=%{_prefix} \
    --exec-prefix=%{_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --localstatedir=/var/lib \
    --mandir=%{_mandir} \
    --enable-shared=yes \
    --enable-static=no \
    --with-libdir=%{_lib} \
    --with-config-file-path=%{_sysconfdir} \
    --with-config-file-scan-dir=%{_sysconfdir}/php.d \
    --disable-debug  \
    --enable-inline-optimization \
    --with-regex=system \
    --with-pcre-regex=%{_prefix} \
    --with-freetype-dir=%{_prefix} --with-zlib=%{_prefix} \
    --with-png-dir=%{_prefix} \
    --with-pdo-odbc=unixODBC \
    --with-zlib=shared,%{_prefix} --with-zlib-dir=%{_prefix} \
    --with-openssl=shared,%{_prefix} \
    --enable-libxml=%{_prefix} --with-libxml-dir=%{_prefix} \
    --enable-mod_charset \
    --without-pear \
    --enable-bcmath=shared \
    --with-bz2=shared,%{_prefix} \
    --enable-calendar=shared \
    --enable-ctype=shared \
    --with-curl=shared,%{_prefix} --without-curlwrappers \
    --enable-dba=shared --with-gdbm --with-db4 --with-cdb  \
    --enable-dom=shared,%{_prefix} --with-libxml-dir=%{_prefix} \
    --with-enchant=shared,%{_prefix} \
    --enable-exif=shared \
    --enable-fileinfo=shared \
    --enable-filter=shared --with-pcre-dir=%{_prefix} \
    --enable-intl=shared --with-icu-dir=%{_prefix} \
    --enable-json=shared --with-libjson \
    --with-openssl-dir=%{_prefix} --enable-ftp=shared \
    --with-gd=shared,%{_prefix} --with-jpeg-dir=%{_prefix} --with-vpx-dir=%{_prefix} --with-png-dir=%{_prefix} --with-zlib-dir=%{_prefix} --with-xpm-dir=%{_prefix}/X11R6 --with-freetype-dir=%{_prefix} --enable-gd-native-ttf --with-t1lib=%{_prefix} \
    --with-gettext=shared,%{_prefix} \
    --with-gmp=shared,%{_prefix} \
    --enable-hash=shared,%{_prefix} \
    --with-iconv=shared \
    --with-imap=shared,%{_prefix} --with-imap-ssl=%{_prefix} \
    --with-ldap=shared,%{_prefix} --with-ldap-sasl=%{_prefix} \
    --enable-mbstring=shared,%{_prefix} --enable-mbregex --with-libmbfl=%{_prefix} --with-onig=%{_prefix} \
    --with-mcrypt=shared,%{_prefix} \
    --with-mssql=shared,%{_prefix} \
    --with-mysql=shared,mysqlnd --with-mysql-sock=/var/lib/mysql/mysql.sock --with-zlib-dir=%{_prefix} \
    --with-mysqli=shared,mysqlnd \
    --enable-mysqlnd=shared,%{_bindir}/mysql_config \
    --with-unixODBC=shared,%{_prefix} \
    --enable-opcache=shared \
    --enable-pcntl=shared \
    --enable-pdo=shared,%{_prefix} --with-pdo-dblib=shared,%{_prefix} --with-pdo-mysql=shared,mysqlnd --with-pdo-odbc=shared,unixODBC,%{_prefix} --with-pdo-pgsql=shared,%{_prefix} --with-pdo-sqlite=shared,%{_prefix} \
    --with-pgsql=shared,%{_prefix} \
    --enable-phar=shared \
    --enable-posix=shared \
    --with-readline=shared,%{_prefix} \
    --with-recode=shared,%{_prefix} \
    --enable-session=shared,%{_prefix} \
    --enable-shmop=shared,%{_prefix} \
    --enable-simplexml \
    --with-snmp=shared,%{_prefix} \
    --enable-soap=shared,%{_prefix} --with-libxml-dir=%{_prefix} \
    --enable-sockets=shared,%{_prefix} \
    --with-sqlite3=shared,%{_prefix} \
    --with-sybase-ct=shared,%{_prefix} \
    --enable-sysvmsg=shared,%{_prefix} \
    --enable-sysvsem=shared,%{_prefix} \
    --enable-sysvshm=shared,%{_prefix} \
    --with-tidy=shared,%{_prefix} \
    --enable-tokenizer=shared,%{_prefix} \
    --enable-xml=shared,%{_prefix} --with-libxml-dir=%{_prefix} \
    --enable-xmlreader=shared,%{_prefix} \
    --with-xmlrpc=shared,%{_prefix} \
    --enable-xmlwriter=shared,%{_prefix} \
    --with-xsl=shared,%{_prefix} \
    --enable-wddx=shared --with-libxml-dir=%{_prefix} \
    --enable-zip=shared --with-libzip=%{_prefix} \
    --with-interbase=shared,%{_libdir}/firebird --with-pdo-firebird=shared,%{_libdir}/firebird

cp -f Makefile Makefile.$i

# left for debugging purposes
cp -f main/php_config.h php_config.h.$i

# when all else failed...
perl -pi -e "s|-prefer-non-pic -static||g" Makefile.$i

done

%make

%if %{build_libmagic}
# keep in sync with latest system magic, the next best thing when system libmagic can't be used...
sapi/cli/php create_data_file.php %{_datadir}/misc/magic.mgc > ext/fileinfo/data_file.c
rm -rf ext/fileinfo/.libs ext/fileinfo/*.lo ext/fileinfo/*.la modules/fileinfo.so modules/fileinfo.la
cp -p ext/fileinfo/data_file.c php-devel/extensions/fileinfo/data_file.c
%make
%endif

# make php-cgi
cp -af php_config.h.cgi main/php_config.h
make -f Makefile.cgi sapi/cgi/php-cgi
cp -af php_config.h.apxs main/php_config.h

# make php-fpm
cp -af php_config.h.fpm main/php_config.h
make -f Makefile.fpm sapi/fpm/php-fpm
cp -af php_config.h.apxs main/php_config.h

%install

install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_usrsrc}/php-devel
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_sysconfdir}/cron.d
install -d %{buildroot}/var/lib/php
install -d %{buildroot}%{_datadir}/php

make -f Makefile.apxs install \
	INSTALL_ROOT=%{buildroot} \
	INSTALL_IT="\$(LIBTOOL) --mode=install install libphp5_common.la %{buildroot}%{_libdir}/"

# borked autopoo
rm -f %{buildroot}%{_bindir}/php %{buildroot}%{_bindir}/php-cgi
./libtool --silent --mode=install install sapi/cli/php %{buildroot}%{_bindir}/php
./libtool --silent --mode=install install sapi/cgi/php-cgi %{buildroot}%{_bindir}/php-cgi

# compat php-fcgi symink
ln -s php-cgi %{buildroot}%{_bindir}/php-fcgi

cp -dpR php-devel/* %{buildroot}%{_usrsrc}/php-devel/
install -m0644 run-tests*.php %{buildroot}%{_usrsrc}/php-devel/
install -m0644 main/internal_functions.c %{buildroot}%{_usrsrc}/php-devel/

install -m0644 sapi/cli/php.1 %{buildroot}%{_mandir}/man1/
install -m0644 scripts/man1/phpize.1 %{buildroot}%{_mandir}/man1/
install -m0644 scripts/man1/php-config.1 %{buildroot}%{_mandir}/man1/

# fpm
install -d %{buildroot}%{_unitdir}
install -d %{buildroot}%{_sysconfdir}/logrotate.d
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -d %{buildroot}%{_sysconfdir}/php-fpm.d
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}/var/lib/php-fpm
install -d %{buildroot}/var/log/php-fpm
install -D -p -m 0644 %{SOURCE9} %{buildroot}%{_tmpfilesdir}/php-fpm.conf
# a small bug here...
echo "; place your config here" > %{buildroot}%{_sysconfdir}/php-fpm.d/default.conf

./libtool --silent --mode=install install sapi/fpm/php-fpm %{buildroot}%{_sbindir}/php-fpm
install -m0644 sapi/fpm/php-fpm.8 %{buildroot}%{_mandir}/man8/
install -m0644 sapi/fpm/php-fpm.conf %{buildroot}%{_sysconfdir}/
install -m0644 php-fpm.service %{buildroot}%{_unitdir}/php-fpm.service
install -m0644 php-fpm.sysconf %{buildroot}%{_sysconfdir}/sysconfig/php-fpm
install -m0644 php-fpm.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/php-fpm

# adjust a bit
perl -pi -e "s|^pid.*|pid = /run/php-fpm/php-fpm.pid|g" %{buildroot}%{_sysconfdir}/php-fpm.conf

ln -snf extensions %{buildroot}%{_usrsrc}/php-devel/ext

install -d %{buildroot}%{_httpd_moddir}
install -d %{buildroot}%{_httpd_modconfdir}

install -m0755 .libs/libphp5.so %{buildroot}%{_httpd_moddir}/%{mod_name}.so

cat > %{buildroot}%{_httpd_modconfdir}/%{load_order}_%{mod_name}.conf <<EOF
%if %{mgaversion} < 3
LoadModule php_module extramodules/%{mod_name}.so
%endif
%if %{mgaversion} >= 3
LoadModule php_module modules/%{mod_name}.so
%endif

AddType application/x-httpd-php .php
AddType application/x-httpd-php .phtml
AddType application/x-httpd-php-source .phps

DirectoryIndex index.php index.phtml
EOF

# rpm filetrigger to reload httpd when installing/removing php extensions
install -d -m 755 %{buildroot}%{_localstatedir}/lib/rpm/filetriggers
cat > %{buildroot}%{_localstatedir}/lib/rpm/filetriggers/httpd-php.filter << EOF
^.%{_libdir}/php/extensions/.*\.so$
EOF
cat > %{buildroot}%{_localstatedir}/lib/rpm/filetriggers/httpd-php.script << EOF
#!/bin/sh
systemctl reload-or-try-restart httpd.service || :
EOF

# extensions
echo "extension = openssl.so"		> %{buildroot}%{_sysconfdir}/php.d/21_openssl.ini
echo "extension = zlib.so"		> %{buildroot}%{_sysconfdir}/php.d/21_zlib.ini
echo "extension = bcmath.so"		> %{buildroot}%{_sysconfdir}/php.d/66_bcmath.ini
echo "extension = bz2.so"		> %{buildroot}%{_sysconfdir}/php.d/10_bz2.ini
echo "extension = calendar.so"		> %{buildroot}%{_sysconfdir}/php.d/11_calendar.ini
echo "extension = ctype.so"		> %{buildroot}%{_sysconfdir}/php.d/12_ctype.ini
echo "extension = curl.so"		> %{buildroot}%{_sysconfdir}/php.d/13_curl.ini
echo "extension = dba.so"		> %{buildroot}%{_sysconfdir}/php.d/14_dba.ini
echo "extension = dom.so"		> %{buildroot}%{_sysconfdir}/php.d/18_dom.ini
echo "extension = exif.so"		> %{buildroot}%{_sysconfdir}/php.d/19_exif.ini
echo "extension = filter.so"		> %{buildroot}%{_sysconfdir}/php.d/81_filter.ini
echo "extension = ftp.so"		> %{buildroot}%{_sysconfdir}/php.d/22_ftp.ini
echo "extension = gd.so"		> %{buildroot}%{_sysconfdir}/php.d/23_gd.ini
echo "extension = gettext.so"		> %{buildroot}%{_sysconfdir}/php.d/24_gettext.ini
echo "extension = gmp.so"		> %{buildroot}%{_sysconfdir}/php.d/25_gmp.ini
echo "extension = hash.so"		> %{buildroot}%{_sysconfdir}/php.d/54_hash.ini
echo "extension = iconv.so"		> %{buildroot}%{_sysconfdir}/php.d/26_iconv.ini
echo "extension = imap.so"		> %{buildroot}%{_sysconfdir}/php.d/27_imap.ini
echo "extension = intl.so"		> %{buildroot}%{_sysconfdir}/php.d/27_intl.ini
echo "extension = ldap.so"		> %{buildroot}%{_sysconfdir}/php.d/28_ldap.ini
echo "extension = mbstring.so"		> %{buildroot}%{_sysconfdir}/php.d/29_mbstring.ini
echo "extension = mcrypt.so"		> %{buildroot}%{_sysconfdir}/php.d/30_mcrypt.ini
echo "extension = fileinfo.so"		> %{buildroot}%{_sysconfdir}/php.d/32_fileinfo.ini
echo "extension = mysqlnd.so"           > %{buildroot}%{_sysconfdir}/php.d/33_mysqlnd.ini
echo "extension = mssql.so"		> %{buildroot}%{_sysconfdir}/php.d/35_mssql.ini
echo "extension = mysql.so"		> %{buildroot}%{_sysconfdir}/php.d/36_mysql.ini
echo "extension = mysqli.so"		> %{buildroot}%{_sysconfdir}/php.d/37_mysqli.ini
echo "extension = enchant.so"		> %{buildroot}%{_sysconfdir}/php.d/38_enchant.ini
echo "extension = odbc.so"		> %{buildroot}%{_sysconfdir}/php.d/39_odbc.ini
echo "extension = pcntl.so"		> %{buildroot}%{_sysconfdir}/php.d/40_pcntl.ini
echo "extension = interbase.so"		> %{buildroot}%{_sysconfdir}/php.d/42_interbase.ini
echo "extension = pdo.so"		> %{buildroot}%{_sysconfdir}/php.d/70_pdo.ini
echo "extension = pdo_dblib.so"		> %{buildroot}%{_sysconfdir}/php.d/71_pdo_dblib.ini
echo "extension = pdo_mysql.so"		> %{buildroot}%{_sysconfdir}/php.d/73_pdo_mysql.ini
echo "extension = pdo_odbc.so"		> %{buildroot}%{_sysconfdir}/php.d/75_pdo_odbc.ini
echo "extension = pdo_pgsql.so"		> %{buildroot}%{_sysconfdir}/php.d/76_pdo_pgsql.ini
echo "extension = pdo_sqlite.so"	> %{buildroot}%{_sysconfdir}/php.d/77_pdo_sqlite.ini
echo "extension = pdo_firebird.so"	> %{buildroot}%{_sysconfdir}/php.d/78_pdo_firebird.ini
echo "extension = pgsql.so"		> %{buildroot}%{_sysconfdir}/php.d/42_pgsql.ini
echo "extension = posix.so"		> %{buildroot}%{_sysconfdir}/php.d/43_posix.ini
echo "extension = readline.so"		> %{buildroot}%{_sysconfdir}/php.d/45_readline.ini
echo "extension = recode.so"		> %{buildroot}%{_sysconfdir}/php.d/46_recode.ini
echo "extension = session.so"		> %{buildroot}%{_sysconfdir}/php.d/47_session.ini
echo "session.gc_maxlifetime = 1440"	>> %{buildroot}%{_sysconfdir}/php.d/47_session.ini
echo "extension = shmop.so"		> %{buildroot}%{_sysconfdir}/php.d/48_shmop.ini
echo "extension = snmp.so"		> %{buildroot}%{_sysconfdir}/php.d/50_snmp.ini
echo "extension = soap.so"		> %{buildroot}%{_sysconfdir}/php.d/51_soap.ini
echo "extension = sockets.so"		> %{buildroot}%{_sysconfdir}/php.d/52_sockets.ini
echo "extension = sqlite3.so"		> %{buildroot}%{_sysconfdir}/php.d/78_sqlite3.ini
echo "extension = sybase_ct.so"		> %{buildroot}%{_sysconfdir}/php.d/46_sybase_ct.ini
echo "extension = sysvmsg.so"		> %{buildroot}%{_sysconfdir}/php.d/56_sysvmsg.ini
echo "extension = sysvsem.so"		> %{buildroot}%{_sysconfdir}/php.d/57_sysvsem.ini
echo "extension = sysvshm.so"		> %{buildroot}%{_sysconfdir}/php.d/58_sysvshm.ini
echo "extension = tidy.so"		> %{buildroot}%{_sysconfdir}/php.d/59_tidy.ini
echo "extension = tokenizer.so"		> %{buildroot}%{_sysconfdir}/php.d/60_tokenizer.ini
echo "extension = xml.so"		> %{buildroot}%{_sysconfdir}/php.d/62_xml.ini
echo "extension = xmlreader.so"		> %{buildroot}%{_sysconfdir}/php.d/63_xmlreader.ini
echo "extension = xmlrpc.so"		> %{buildroot}%{_sysconfdir}/php.d/62_xmlrpc.ini
echo "extension = xmlwriter.so"		> %{buildroot}%{_sysconfdir}/php.d/64_xmlwriter.ini
echo "extension = xsl.so"		> %{buildroot}%{_sysconfdir}/php.d/63_xsl.ini
echo "extension = wddx.so"		> %{buildroot}%{_sysconfdir}/php.d/63_wddx.ini
echo "extension = json.so"		> %{buildroot}%{_sysconfdir}/php.d/82_json.ini
echo "extension = zip.so"		> %{buildroot}%{_sysconfdir}/php.d/83_zip.ini
echo "extension = phar.so"		> %{buildroot}%{_sysconfdir}/php.d/84_phar.ini
echo "zend_extension = opcache.so"	> %{buildroot}%{_sysconfdir}/php.d/99_opcache.ini

install -m0755 %{SOURCE2} %{buildroot}%{_libdir}/php/maxlifetime
install -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/cron.d/php
install -m0644 php.ini-production %{buildroot}%{_sysconfdir}/php.ini
install -m0644 php.ini-production %{buildroot}%{_sysconfdir}/php-cgi-fcgi.ini

# lib64 hack
perl -pi -e "s|/usr/lib|%{_libdir}|" \
    %{buildroot}%{_sysconfdir}/cron.d/php \
    %{buildroot}%{_sysconfdir}/php.ini \
    %{buildroot}%{_sysconfdir}/php-cgi-fcgi.ini \
    php.ini-production \
    php.ini-development

# install doc manually in %{_docdir}/php, rather than %{_docdir}/php-doc
install -d -m 755 %{buildroot}%{_docdir}/php
install -m 644 \
    CREDITS INSTALL LICENSE NEWS \
    php.ini-production php.ini-development \
    README.PHP4-TO-PHP5-THIN-CHANGES README.EXTENSIONS README.EXT_SKEL \
    README.input_filter README.PARAMETER_PARSING_API README.STREAMS \
    %{buildroot}%{_docdir}/php

# fix docs
cp Zend/LICENSE Zend/ZEND_LICENSE
cp README.SELF-CONTAINED-EXTENSIONS SELF-CONTAINED-EXTENSIONS
cp ext/openssl/README README.openssl
cp ext/spl/README README.spl
cp ext/libxml/CREDITS CREDITS.libxml
cp ext/zlib/CREDITS CREDITS.zlib

# cgi docs
cp sapi/cgi/CREDITS CREDITS.cgi
cp sapi/cgi/README.FastCGI README.fcgi

# cli docs
cp sapi/cli/CREDITS CREDITS.cli
cp sapi/cli/README README.cli
cp sapi/cli/TODO TODO.cli

# phar fixes
if [ -L %{buildroot}%{_bindir}/phar ]; then
    rm -f %{buildroot}%{_bindir}/phar
    mv %{buildroot}%{_bindir}/phar.phar %{buildroot}%{_bindir}/phar
fi

# house cleaning
rm -f %{buildroot}%{_bindir}/pear
rm -f %{buildroot}%{_libdir}/*.*a

# php-devel.i586: E: zero-length /usr/src/php-devel/extensions/pdo_firebird/EXPERIMENTAL
find %{buildroot}%{_usrsrc}/php-devel -type f -size 0 -exec rm -f {} \;

%multiarch_includes %{buildroot}%{_includedir}/php/main/build-defs.h

%multiarch_includes %{buildroot}%{_includedir}/php/main/php_config.h

%if %{build_test}
# do a make test
export NO_INTERACTION=1
export PHPRC="."
export REPORT_EXIT_STATUS=2
export TEST_PHP_DETAILED=0
export TEST_PHP_ERROR_STYLE=EMACS
export TEST_PHP_LOG_FORMAT=LEODC
export PHP_INI_SCAN_DIR=/dev/null

# FAILING TESTS:
# unknown errors with ext/date/tests/oo_002.phpt probably because of php-5.2.5-systzdata.patch
# http://bugs.php.net/bug.php?id=22414 (claimed to be fixed in 2003, but seems not)
# unknown errors with ext/standard/tests/general_functions/phpinfo.phpt
# unknown errors with ext/standard/tests/strings/setlocale_*
disable_tests="ext/date/tests/oo_002.phpt \
ext/standard/tests/file/bug22414.phpt \
ext/standard/tests/general_functions/phpinfo.phpt \
ext/standard/tests/strings/setlocale_basic1.phpt \
ext/standard/tests/strings/setlocale_basic2.phpt \
ext/standard/tests/strings/setlocale_basic3.phpt \
ext/standard/tests/strings/setlocale_variation1.phpt \
ext/standard/tests/strings/setlocale_variation3.phpt \
ext/standard/tests/strings/setlocale_variation4.phpt \
ext/standard/tests/strings/setlocale_variation5.phpt"

[[ -n "$disable_tests" ]] && \
for f in $disable_tests; do
  [[ -f "$f" ]] && mv $f $f.disabled
done

TEST_PHP_EXECUTABLE=sapi/cli/php sapi/cli/php -c ./php-test.ini run-tests.php
%endif



%post fpm
%_tmpfilescreate php-fpm
%_post_service php-fpm

%preun fpm
%_preun_service php-fpm

%files doc
%doc CREDITS INSTALL LICENSE NEWS Zend/ZEND_LICENSE 
%doc php.ini-production php.ini-development
%doc README.openssl README.spl CREDITS.libxml CREDITS.zlib
%doc README.PHP4-TO-PHP5-THIN-CHANGES
%doc README.EXTENSIONS README.EXT_SKEL README.input_filter
%doc README.PARAMETER_PARSING_API README.STREAMS

%files ini
%{_docdir}/php
%config(noreplace) %{_sysconfdir}/php.ini
%config(noreplace) %{_sysconfdir}/php-cgi-fcgi.ini
%dir %{_sysconfdir}/php.d
%dir %{_libdir}/php
%dir %{_datadir}/php
%dir %{_libdir}/php/extensions

%files -n apache-mod_php
%config(noreplace) %{_httpd_modconfdir}/*.conf
%{_httpd_moddir}/mod_php.so
%{_localstatedir}/lib/rpm/filetriggers/httpd-php.filter
%{_localstatedir}/lib/rpm/filetriggers/httpd-php.script

%files -n %{libname}
%{_libdir}/libphp5_common.so.%{php5_common_major}*

%files cli
%doc CREDITS.cli README.cli TODO.cli
%{_bindir}/php
%{_mandir}/man1/php.1*

%files cgi
%doc CREDITS.cgi README.fcgi
%{_bindir}/php-cgi
%{_bindir}/php-fcgi
%{_mandir}/man1/php-cgi.1*

%files devel
%doc SELF-CONTAINED-EXTENSIONS CODING_STANDARDS README.* EXTENSIONS
%doc Zend/ZEND_* README.TESTING*
%{_bindir}/php-config
%{_bindir}/phpize
%{_libdir}/libphp5_common.so
%{_libdir}/php/build
%{_usrsrc}/php-devel
%{multiarch_includedir}/php/main/build-defs.h
%{multiarch_includedir}/php/main/php_config.h
%{_includedir}/php
%{_mandir}/man1/php-config.1*
%{_mandir}/man1/phpize.1*

%files openssl
%config(noreplace) %{_sysconfdir}/php.d/21_openssl.ini
%{_libdir}/php/extensions/openssl.so

%files zlib
%config(noreplace) %{_sysconfdir}/php.d/21_zlib.ini
%{_libdir}/php/extensions/zlib.so

%files bcmath
%config(noreplace) %{_sysconfdir}/php.d/66_bcmath.ini
%{_libdir}/php/extensions/bcmath.so

%files bz2
%config(noreplace) %{_sysconfdir}/php.d/10_bz2.ini
%{_libdir}/php/extensions/bz2.so

%files calendar
%config(noreplace) %{_sysconfdir}/php.d/11_calendar.ini
%{_libdir}/php/extensions/calendar.so

%files ctype
%config(noreplace) %{_sysconfdir}/php.d/12_ctype.ini
%{_libdir}/php/extensions/ctype.so

%files curl
%config(noreplace) %{_sysconfdir}/php.d/13_curl.ini
%{_libdir}/php/extensions/curl.so

%files dba
%config(noreplace) %{_sysconfdir}/php.d/14_dba.ini
%{_libdir}/php/extensions/dba.so

%files dom
%config(noreplace) %{_sysconfdir}/php.d/18_dom.ini
%{_libdir}/php/extensions/dom.so

%files enchant
%config(noreplace) %{_sysconfdir}/php.d/38_enchant.ini
%{_libdir}/php/extensions/enchant.so

%files exif
%config(noreplace) %{_sysconfdir}/php.d/19_exif.ini
%{_libdir}/php/extensions/exif.so

%files fileinfo
%config(noreplace) %{_sysconfdir}/php.d/32_fileinfo.ini
%{_libdir}/php/extensions/fileinfo.so

%files filter
%config(noreplace) %{_sysconfdir}/php.d/81_filter.ini
%{_libdir}/php/extensions/filter.so

%files ftp
%config(noreplace) %{_sysconfdir}/php.d/22_ftp.ini
%{_libdir}/php/extensions/ftp.so

%files gd
%config(noreplace) %{_sysconfdir}/php.d/23_gd.ini
%{_libdir}/php/extensions/gd.so

%files gettext
%config(noreplace) %{_sysconfdir}/php.d/24_gettext.ini
%{_libdir}/php/extensions/gettext.so

%files gmp
%config(noreplace) %{_sysconfdir}/php.d/25_gmp.ini
%{_libdir}/php/extensions/gmp.so

%files hash
%config(noreplace) %{_sysconfdir}/php.d/54_hash.ini
%{_libdir}/php/extensions/hash.so

%files iconv
%config(noreplace) %{_sysconfdir}/php.d/26_iconv.ini
%{_libdir}/php/extensions/iconv.so

%files imap
%config(noreplace) %{_sysconfdir}/php.d/27_imap.ini
%{_libdir}/php/extensions/imap.so

%files interbase
%config(noreplace) %{_sysconfdir}/php.d/42_interbase.ini
%{_libdir}/php/extensions/interbase.so

%files intl
%config(noreplace) %{_sysconfdir}/php.d/27_intl.ini
%{_libdir}/php/extensions/intl.so

%files json
%config(noreplace) %{_sysconfdir}/php.d/82_json.ini
%{_libdir}/php/extensions/json.so

%files ldap
%config(noreplace) %{_sysconfdir}/php.d/28_ldap.ini
%{_libdir}/php/extensions/ldap.so

%files mbstring
%config(noreplace) %{_sysconfdir}/php.d/29_mbstring.ini
%{_libdir}/php/extensions/mbstring.so

%files mcrypt
%config(noreplace) %{_sysconfdir}/php.d/30_mcrypt.ini
%{_libdir}/php/extensions/mcrypt.so

%files mssql
%config(noreplace) %{_sysconfdir}/php.d/35_mssql.ini
%{_libdir}/php/extensions/mssql.so

%files mysql
%config(noreplace) %{_sysconfdir}/php.d/36_mysql.ini
%{_libdir}/php/extensions/mysql.so

%files mysqli
%config(noreplace) %{_sysconfdir}/php.d/37_mysqli.ini
%{_libdir}/php/extensions/mysqli.so

%files mysqlnd
%config(noreplace) %{_sysconfdir}/php.d/33_mysqlnd.ini
%{_libdir}/php/extensions/mysqlnd.so

%files odbc
%config(noreplace) %{_sysconfdir}/php.d/39_odbc.ini
%{_libdir}/php/extensions/odbc.so

%files opcache
%config(noreplace) %{_sysconfdir}/php.d/99_opcache.ini
%{_libdir}/php/extensions/opcache.so

%files pcntl
%config(noreplace) %{_sysconfdir}/php.d/40_pcntl.ini
%{_libdir}/php/extensions/pcntl.so

%files pdo
%config(noreplace) %{_sysconfdir}/php.d/70_pdo.ini
%{_libdir}/php/extensions/pdo.so

%files pdo_dblib
%config(noreplace) %{_sysconfdir}/php.d/71_pdo_dblib.ini
%{_libdir}/php/extensions/pdo_dblib.so

%files pdo_firebird
%config(noreplace) %{_sysconfdir}/php.d/78_pdo_firebird.ini
%{_libdir}/php/extensions/pdo_firebird.so

%files pdo_mysql
%config(noreplace) %{_sysconfdir}/php.d/73_pdo_mysql.ini
%{_libdir}/php/extensions/pdo_mysql.so

%files pdo_odbc
%config(noreplace) %{_sysconfdir}/php.d/75_pdo_odbc.ini
%{_libdir}/php/extensions/pdo_odbc.so

%files pdo_pgsql
%config(noreplace) %{_sysconfdir}/php.d/76_pdo_pgsql.ini
%{_libdir}/php/extensions/pdo_pgsql.so

%files pdo_sqlite
%config(noreplace) %{_sysconfdir}/php.d/77_pdo_sqlite.ini
%{_libdir}/php/extensions/pdo_sqlite.so

%files pgsql
%config(noreplace) %{_sysconfdir}/php.d/42_pgsql.ini
%{_libdir}/php/extensions/pgsql.so

%files phar
%config(noreplace) %{_sysconfdir}/php.d/84_phar.ini
%{_libdir}/php/extensions/phar.so
%{_bindir}/phar
%{_mandir}/man1/phar.1*
%{_mandir}/man1/phar.phar.1*

%files posix
%config(noreplace) %{_sysconfdir}/php.d/43_posix.ini
%{_libdir}/php/extensions/posix.so

%files readline
%config(noreplace) %{_sysconfdir}/php.d/45_readline.ini
%{_libdir}/php/extensions/readline.so

%files recode
%config(noreplace) %{_sysconfdir}/php.d/46_recode.ini
%{_libdir}/php/extensions/recode.so

%files session
%config(noreplace) %{_sysconfdir}/php.d/47_session.ini
%config(noreplace) %{_sysconfdir}/cron.d/php
%{_libdir}/php/extensions/session.so
%{_libdir}/php/maxlifetime
%attr(01733,apache,apache) %dir /var/lib/php

%files shmop
%config(noreplace) %{_sysconfdir}/php.d/48_shmop.ini
%{_libdir}/php/extensions/shmop.so

%files snmp
%config(noreplace) %{_sysconfdir}/php.d/50_snmp.ini
%{_libdir}/php/extensions/snmp.so

%files soap
%config(noreplace) %{_sysconfdir}/php.d/51_soap.ini
%{_libdir}/php/extensions/soap.so

%files sockets
%config(noreplace) %{_sysconfdir}/php.d/52_sockets.ini
%{_libdir}/php/extensions/sockets.so

%files sqlite3
%config(noreplace) %{_sysconfdir}/php.d/78_sqlite3.ini
%{_libdir}/php/extensions/sqlite3.so

%files sybase_ct
%config(noreplace) %{_sysconfdir}/php.d/46_sybase_ct.ini
%{_libdir}/php/extensions/sybase_ct.so

%files sysvmsg
%config(noreplace) %{_sysconfdir}/php.d/56_sysvmsg.ini
%{_libdir}/php/extensions/sysvmsg.so

%files sysvsem
%config(noreplace) %{_sysconfdir}/php.d/57_sysvsem.ini
%{_libdir}/php/extensions/sysvsem.so

%files sysvshm
%config(noreplace) %{_sysconfdir}/php.d/58_sysvshm.ini
%{_libdir}/php/extensions/sysvshm.so

%files tidy
%config(noreplace) %{_sysconfdir}/php.d/59_tidy.ini
%{_libdir}/php/extensions/tidy.so

%files tokenizer
%config(noreplace) %{_sysconfdir}/php.d/60_tokenizer.ini
%{_libdir}/php/extensions/tokenizer.so

%files xml
%config(noreplace) %{_sysconfdir}/php.d/62_xml.ini
%{_libdir}/php/extensions/xml.so

%files xmlreader
%config(noreplace) %{_sysconfdir}/php.d/63_xmlreader.ini
%{_libdir}/php/extensions/xmlreader.so

%files xmlrpc
%config(noreplace) %{_sysconfdir}/php.d/62_xmlrpc.ini
%{_libdir}/php/extensions/xmlrpc.so

%files xmlwriter
%config(noreplace) %{_sysconfdir}/php.d/64_xmlwriter.ini
%{_libdir}/php/extensions/xmlwriter.so

%files xsl
%config(noreplace) %{_sysconfdir}/php.d/63_xsl.ini
%{_libdir}/php/extensions/xsl.so

%files wddx
%config(noreplace) %{_sysconfdir}/php.d/63_wddx.ini
%{_libdir}/php/extensions/wddx.so

%files zip
%config(noreplace) %{_sysconfdir}/php.d/83_zip.ini
%{_libdir}/php/extensions/zip.so

%files fpm
%doc sapi/fpm/CREDITS sapi/fpm/LICENSE
%{_unitdir}/php-fpm.service
%config(noreplace) %{_sysconfdir}/php-fpm.conf
%config(noreplace) %{_sysconfdir}/sysconfig/php-fpm
%{_sysconfdir}/logrotate.d/php-fpm
%dir %{_sysconfdir}/php-fpm.d
%config(noreplace) %{_sysconfdir}/php-fpm.d/default.conf
%{_sbindir}/php-fpm
%{_mandir}/man8/php-fpm.8*
%attr(0711,apache,apache) %dir /var/lib/php-fpm
%attr(0711,apache,apache) %dir /var/log/php-fpm
%{_tmpfilesdir}/php-fpm.conf


%changelog
* Tue Oct 21 2014 oden <oden> 3:5.5.18-1.1.mga4
+ Revision: 792326
- fix #13820 (PHP zip makes httpd crash when adding file to an archive.)
- 5.5.18 (fixes CVE-2014-3669, CVE-2014-3670, CVE-2014-3668)
- P230: security fix for CVE-2014-3538 (upstream)
- 5.5.15
- jsonc-1.3.6
- 5.5.12
- jsonc-1.3.5
- P23: rediff
- also sync spec file changes with cauldron
- sync patches with cauldron
- 5.5.10
- jsonc-1.3.4

  + luigiwalser <luigiwalser>
    - 5.5.16
    - remove upstreamed CVE-2014-3538 patch
    - 5.5.14
    - 5.5.13
    - 5.5.11

* Tue Jan 14 2014 luigiwalser <luigiwalser> 3:5.5.8-2.mga4
+ Revision: 566586
- do not reload httpd when it is not running in filetriggers

* Tue Jan 14 2014 oden <oden> 3:5.5.8-1.mga4
+ Revision: 566544
- 5.5.8
- rediff the external libzip patch
- jsonc-1.3.3

* Fri Dec 13 2013 luigiwalser <luigiwalser> 3:5.5.7-1.mga4
+ Revision: 556537
- 5.5.7

* Fri Nov 22 2013 oden <oden> 3:5.5.6-1.mga4
+ Revision: 552282
- rediff some patches
- 5.5.6

* Tue Oct 22 2013 oden <oden> 3:5.5.5-1.mga4
+ Revision: 545808
- 5.5.5 (http://www.php.net/ChangeLog-5.php#5.5.5)

* Mon Oct 21 2013 umeabot <umeabot> 3:5.5.4-3.mga4
+ Revision: 537673
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 fwang <fwang> 3:5.5.4-2.mga4
+ Revision: 487500
- rebuild for icu 52

* Fri Sep 20 2013 fwang <fwang> 3:5.5.4-1.mga4
+ Revision: 481811
- 5.5.4 final

* Tue Sep 10 2013 fwang <fwang> 3:5.5.4-0.0.RC1.3.mga4
+ Revision: 477030
- rebuild for new postgresql

* Mon Sep 09 2013 oden <oden> 3:5.5.4-0.0.RC1.2.mga4
+ Revision: 476668
- jsonc-1.3.2

* Fri Sep 06 2013 oden <oden> 3:5.5.4-0.0.RC1.1.mga4
+ Revision: 475425
- 5.5.4RC1
- rediffed some patches

* Tue Aug 27 2013 luigiwalser <luigiwalser> 3:5.5.3-2.mga4
+ Revision: 472083
- rebuild for cyrus-sasl

  + fwang <fwang>
    - add descriptive url

* Fri Aug 23 2013 fwang <fwang> 3:5.5.3-1.mga4
+ Revision: 470029
- new version 5.5.3

  + oden <oden>
    - fix #8538 (There is an undocumented hard-coded limit of 24 minutes on PHP session lifetime)
    - fix #10331 (php-sqlite3 does not obsolete php-sqlite)
    - 5.5.2
    - rediff some patches

* Mon Jul 22 2013 oden <oden> 3:5.5.1-1.mga4
+ Revision: 457143
- 5.5.1
- P50: rediff
- fix the php-test.ini file according to needed loading sequence
- fix the loading of opcache
- keep all the sources in php-devel for easier post-testing

* Fri Jun 28 2013 oden <oden> 3:5.5.0-5.mga4
+ Revision: 447732
- add back the deprecated php-mysql package (fixes #10628)

* Mon Jun 24 2013 blino <blino> 3:5.5.0-4.mga4
+ Revision: 446070
- buildrequire mysql-devel for mysql_config

* Sun Jun 23 2013 blino <blino> 3:5.5.0-3.mga4
+ Revision: 446060
- mysqlnd: detect mysql unix socket path with mysql_config (this fixes mysqli and pdo_mysql)

* Sun Jun 23 2013 blino <blino> 3:5.5.0-2.mga4
+ Revision: 445794
- specify back mysql socket path at configure (to fix mysqli)

* Fri Jun 21 2013 oden <oden> 3:5.5.0-1.mga4
+ Revision: 445354
- 5.5.0
- P11 & P25: newer rediffed patches from fedora
- P30: rediff
- the mysql extension is deprecated, so might as well remove it now...

* Thu Jun 13 2013 oden <oden> 3:5.5.0-0.0.RC3.4.mga4
+ Revision: 442540
- bump release
- fix the php-fpm.service file (Remi Collet)
- add some conflicts for the php-opcache sub package

* Thu Jun 13 2013 oden <oden> 3:5.5.0-0.0.RC3.3.mga4
+ Revision: 442476
- use /run/php-fpm
- add systemd to php-fpm (Remi Collet)

* Thu Jun 13 2013 oden <oden> 3:5.5.0-0.0.RC3.2.mga4
+ Revision: 442375
- S10: use json from pecl due to licensing issues

  + fwang <fwang>
    - deprecate mysql extension

* Sun Jun 09 2013 oden <oden> 3:5.5.0-0.0.RC3.1.mga4
+ Revision: 441224
- 5.5.0RC3
- bye, bye logos and the eastern egg crap (drop P302+P303)
- P2: patch and use the php.ini-production file because the shipped php.ini file is several years old...
- P20: rediff
- say hello to opcache

* Sun Jun 09 2013 oden <oden> 3:5.4.16-1.mga4
+ Revision: 441117
- 5.4.16 (fixes CVE-2013-2110)
- rediffed P25

* Mon Jun 03 2013 fwang <fwang> 3:5.4.15-3.mga4
+ Revision: 435546
- rebuild for new libpng

* Tue May 28 2013 oden <oden> 3:5.4.15-2.mga4
+ Revision: 429242
- use ext/gd from php-5.5.0RC2 for now

* Sun May 26 2013 oden <oden> 3:5.4.15-1.mga4
+ Revision: 428167
- 5.4.15
- rediffed P25
- use the new libgd 2.1.x that should render the php-gd-bundled package obsolete

* Sun May 26 2013 fwang <fwang> 3:5.4.13-4.mga4
+ Revision: 427995
- rebuild for new icu

* Fri Apr 26 2013 fwang <fwang> 3:5.4.13-3.mga3
+ Revision: 411308
- fix systemd unit file so that it can start correctly (bug#9844)

* Sun Mar 24 2013 colin <colin> 3:5.4.13-2.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Fri Mar 15 2013 oden <oden> 3:5.4.13-1.mga3
+ Revision: 403244
- 5.4.13 (fixes CVE-2013-1635, CVE-2013-1643)

* Tue Mar 05 2013 oden <oden> 3:5.4.12-2.mga3
+ Revision: 401489
- P303: added a new mageia logo by R?\195?\169mi Verschelde

* Fri Feb 22 2013 oden <oden> 3:5.4.12-1.mga3
+ Revision: 399881
- 5.4.12

* Thu Jan 31 2013 luigiwalser <luigiwalser> 3:5.4.11-2.mga3
+ Revision: 393831
- rebuild for icu

* Mon Jan 21 2013 oden <oden> 3:5.4.11-1.mga3
+ Revision: 390585
- 5.4.11 (http://php.net/ChangeLog-5.php#5.4.11)

* Thu Jan 17 2013 colin <colin> 3:5.4.10-5.mga3
+ Revision: 388944
- Use tmpfiles for php-fpm runtime dir creation

* Wed Jan 09 2013 spuhler <spuhler> 3:5.4.10-4.mga3
+ Revision: 343541
- reversed threadsafe build

* Sat Jan 05 2013 spuhler <spuhler> 3:5.4.10-3.mga3
+ Revision: 339336
- built threadsafe

* Wed Dec 26 2012 oden <oden> 3:5.4.10-2.mga3
+ Revision: 335433
- make it backportable

* Fri Dec 21 2012 fwang <fwang> 3:5.4.10-1.mga3
+ Revision: 333629
- new version 5.4.10

* Sat Dec 01 2012 fwang <fwang> 3:5.4.9-3.mga3
+ Revision: 323654
- rebuild for new pcre

* Sat Nov 24 2012 oden <oden> 3:5.4.9-2.mga3
+ Revision: 321559
- maybe better configure line now...
- rebuild
- remove pok crap
- merge firebird (interbase) into this package

* Sat Nov 24 2012 fwang <fwang> 3:5.4.9-1.mga3
+ Revision: 321476
- new version 5.4.9

  + oden <oden>
    - whoops. didn't realize php-5.4 only has sqlite3 support.
    - fix #8164 (php-sqlite3 obsoletes php-sqlite)

* Fri Nov 09 2012 fwang <fwang> 3:5.4.8-9.mga3
+ Revision: 316669
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 3:5.4.8-8.mga3
+ Revision: 314746
- rebuild for new icu

* Thu Oct 25 2012 fwang <fwang> 3:5.4.8-7.mga3
+ Revision: 309900
- recognize more recent jpeg version
- update description

  + luigiwalser <luigiwalser>
    - use macros for php-fpm service
    - php-fpm requires webserver-base for apache user
    - php-cli provides /usr/bin/php (mga#6534)

* Tue Oct 23 2012 fwang <fwang> 3:5.4.8-6.mga3
+ Revision: 309398
- prepare to build pdo_mysql-bundled
- note for mysqlnd

* Fri Oct 19 2012 fwang <fwang> 3:5.4.8-5.mga3
+ Revision: 308312
- force load mysqlnd before mysql exts

* Fri Oct 19 2012 fwang <fwang> 3:5.4.8-4.mga3
+ Revision: 308152
- specify ldflags
- enable vpx support

* Fri Oct 19 2012 fwang <fwang> 3:5.4.8-3.mga3
+ Revision: 308147
- all mysql exts are now using mysqlnd now

* Fri Oct 19 2012 fwang <fwang> 3:5.4.8-2.mga3
+ Revision: 308140
- build with mysqlnd per default upstream

* Fri Oct 19 2012 fwang <fwang> 3:5.4.8-1.mga3
+ Revision: 308062
- new version 5.4.8

* Wed Oct 17 2012 obgr_seneca <obgr_seneca> 3:5.4.7-2.mga3
+ Revision: 307677
- Add requires for webserver-base in php-session

* Mon Sep 17 2012 fwang <fwang> 3:5.4.7-1.mga3
+ Revision: 294677
- new version 5.4.7

* Wed Sep 12 2012 oden <oden> 3:5.4.6-1.mga3
+ Revision: 292568
- remove libphp5.so from file lists as well
- 5.4.6
- make mod_php the more correct way

  + spuhler <spuhler>
    - upgrade to 5.4.6

* Tue Jul 31 2012 fwang <fwang> 3:5.4.5-2.mga3
+ Revision: 276425
- force echo 0 for iurt
- force echo 0 for iurt
- rebuild for db-5.3

  + guillomovitch <guillomovitch>
    - no need to redefine configure commands to explain packaging granularity (especially when giving wrong path to document file)
    - sanitize build flags usage
    - use %%{_unitdir} macro
    - drop useless dependencies
    - cleanup postgresql dependencies computing, and use a better problem description
    - drop fedora-supposed patches non existing in fedora
    - drop useless references to bugzilla in package description
    - drop unused macros
    - use apache-provided rpm macros
    - clean up files list
    - useless buildtime check, we have dependencies for this

* Wed Jul 25 2012 spuhler <spuhler> 3:5.4.5-1.mga3
+ Revision: 274185
- upgrade to 5.4.5
- upgrade to 5.4.5

* Mon Jul 23 2012 blino <blino> 3:5.4.4-8.mga3
+ Revision: 273674
- install module in standard apache location (and not include double libphp5_common.so there)

* Sun Jul 22 2012 spuhler <spuhler> 3:5.4.4-7.mga3
+ Revision: 273511
- took out those old coments Conflicts:	apache-mpm-worker >= %%{apache_version}
  and apache-mpm-event >= %%{apache_version}

* Sun Jul 22 2012 cjw <cjw> 3:5.4.4-6.mga3
+ Revision: 273458
- apache-mod_php: fix apache configuration location
- apache-mod_php: (build-)depends on apache >= 2.4.2-1

* Sun Jul 22 2012 blino <blino> 3:5.4.4-5.mga3
+ Revision: 273433
- fix apxs path (now in bindir)
- require apache instead of obsolete apache-mpm and comment old apache conflicts

  + spuhler <spuhler>
    - Rebuild for Apache-2.4

* Sun Jul 15 2012 spuhler <spuhler> 3:5.4.4-3.mga3
+ Revision: 270903
+ rebuild (emptylog)

* Sun Jul 15 2012 spuhler <spuhler> 3:5.4.4-2.mga3
+ Revision: 270900
+ rebuild (emptylog)

* Sun Jul 15 2012 spuhler <spuhler> 3:5.4.4-1.mga3
+ Revision: 270874
- upgrade to 5.4.4

* Sun Jul 15 2012 spuhler <spuhler> 3:5.4.3-1.mga3
+ Revision: 270816
- Ugrade to version5.4.3
  Spec file based on MDV (Oden)
  php-ini and apache-mod_php split off

* Fri Jun 15 2012 luigiwalser <luigiwalser> 3:5.3.14-1.mga3
+ Revision: 260870
- 5.3.14 (fixes CVE-2012-2143)

* Mon Jun 11 2012 luigiwalser <luigiwalser> 3:5.3.13-4.mga3
+ Revision: 259856
- additional patch from upstream via debian for similar issue in phar code

* Wed Jun 06 2012 luigiwalser <luigiwalser> 3:5.3.13-3.mga3
+ Revision: 256297
- fix CVE-2012-2386 (php bug 61065)

* Wed May 30 2012 fwang <fwang> 3:5.3.13-2.mga3
+ Revision: 249670
- rebuild for new icu

* Thu May 10 2012 luigiwalser <luigiwalser> 3:5.3.13-1.mga2
+ Revision: 235135
- 5.3.13 (fixes CVE-2012-2335 and CVE-2012-2336)

* Sat May 05 2012 luigiwalser <luigiwalser> 3:5.3.12-2.mga2
+ Revision: 234742
- fix CVE-2012-2311

* Fri May 04 2012 fwang <fwang> 3:5.3.12-1.mga2
+ Revision: 234690
- new version 4.3.12 (fixing CVE-2012-1823)

  + luigiwalser <luigiwalser>
    - 5.3.11 (partial sync with mdv)

* Tue Apr 24 2012 luigiwalser <luigiwalser> 3:5.3.10-8.mga2
+ Revision: 233143
- fix CVE-2012-1172 (php bug 55500)

* Mon Apr 02 2012 pterjan <pterjan> 3:5.3.10-7.mga2
+ Revision: 227746
- Fix enable-libxml parameter to really enable it

  + luigiwalser <luigiwalser>
    - let webserver-base package add apache user

* Mon Mar 19 2012 luigiwalser <luigiwalser> 3:5.3.10-6.mga2
+ Revision: 224021
- use arch independent libdir to find modules (thanks Funda Wang)

* Mon Mar 19 2012 luigiwalser <luigiwalser> 3:5.3.10-5.mga2
+ Revision: 223999
- use filetriggers to reload httpd on php extension installation

* Fri Mar 16 2012 spuhler <spuhler> 3:5.3.10-4.mga2
+ Revision: 223575
- removed Patch20: php-mail.diff as it leaks mail info, Bug # 4571

* Thu Mar 01 2012 spuhler <spuhler> 3:5.3.10-3.mga2
+ Revision: 216448
- added Obsoletes: php-pspel
- removed pspell

* Thu Feb 09 2012 spuhler <spuhler> 3:5.3.10-2.mga2
+ Revision: 206599
- changed pm.max_children from 5 to 35

  + fwang <fwang>
    - new version 5.3.10

* Thu Jan 19 2012 guillomovitch <guillomovitch> 3:5.3.9-4.mga2
+ Revision: 198248
- include php-ini package
- merge it with doc subpackage

* Thu Jan 19 2012 spuhler <spuhler> 3:5.3.9-3.mga2
+ Revision: 198028
- activated the test
  updated corrected mageia logo ptach

  + fwang <fwang>
    - fix wording of logo patch

* Tue Jan 17 2012 fwang <fwang> 3:5.3.9-2.mga2
+ Revision: 197193
- fix html mismatch tags

* Tue Jan 17 2012 spuhler <spuhler> 3:5.3.9-1.mga2
+ Revision: 197188
- added BuildRequires: autoconf2.1
- upgrade to 5.3.9

* Tue Jan 03 2012 guillomovitch <guillomovitch> 3:5.3.9-0.RC4.1.mga2
+ Revision: 189937
- generate mod_php directly from this package
- sync common fedora patches, and apply suhosin patch last
- drop fedora patches not in fedora anymore
- switch to fedora build system, using a different directory for each SAPI
- don't run configure for cli, it is never built
- stop messing with configure command value on phpinfo page
- drop redundant configure options
- new RC version
- drop redondant build dependencies
- handle php-dev files in %%install only, to avoid multiple copies
- trim descriptions, no need to mention dependencies managed by rpm
- spec cleanup
- turn hard dependency on suhosin to as soft dependency, as it is not mandatory

  + fwang <fwang>
    - chagne mandriva into mageia, disable image for now

* Tue Dec 20 2011 spuhler <spuhler> 3:5.3.9-0.RC3.1.mga2
+ Revision: 184708
- upgrade to 5.4RC3
  synched with Mandriva

* Thu Dec 08 2011 fwang <fwang> 3:5.3.8-4.mga2
+ Revision: 178854
- rebuild for new odbc

* Mon Dec 05 2011 fwang <fwang> 3:5.3.8-3.mga2
+ Revision: 176942
- rebuild for new gdbm

  + guillomovitch <guillomovitch>
    - spec cleanup

* Tue Sep 13 2011 fwang <fwang> 3:5.3.8-2.mga2
+ Revision: 142812
- rebuild for new libpng
- new version 5.3.8 ( sync with mandriva )

  + guillomovitch <guillomovitch>
    - rebuild for latest net-snmp
    - turn hard dependency on suhosin to a soft dependency, as it is a perfectly optional component

* Mon Jun 20 2011 fwang <fwang> 3:5.3.6-3.mga2
+ Revision: 110372
- rebuild for new icu

* Thu May 19 2011 dmorgan <dmorgan> 3:5.3.6-2.mga1
+ Revision: 99741
- Fix perl detection

  + pterjan <pterjan>
    - Add upstream fix for CVE-2011-1148

* Sun Apr 17 2011 pterjan <pterjan> 3:5.3.6-1.mga1
+ Revision: 87304
- Update to 5.3.6
  - Fixes CVE-2011-1153, CVE-2011-1092, CVE-2011-0708, CVE-2011-0421
  - Sync with Mandriva

* Fri Mar 25 2011 dmorgan <dmorgan> 3:5.3.5-3.mga1
+ Revision: 77249
- Lemon is not provided anymore by sqlite3
  Comment it on the spec file to see if the php module still build without it
  or if we need to remove this module.
- Rebuild against new mysql

  + misc <misc>
    - Rebuild to remove Mandriva logo
    - add some comments about patches
    - do not show mandriva logo on phpinfo()
    - s/Mandriva/Mageia/. We should use a macro for that.

* Thu Jan 13 2011 dmorgan <dmorgan> 3:5.3.5-0.mga1
+ Revision: 16674
- Remove mdv macros
- Fix mageia bugzilla url

  + spuhler <spuhler>
    -BuildRoot:	%%{_tmppath}/%%{name}-%%{version}-%%{release}-buildroot
     -report bugs here: http://qa.mandriva.com/ so that the official maintainer of
    -this Mandriva package can help you. More information regarding the
      +report bugs to the official maintainer of
      +this Mageia package. More information regarding the
    - imported package php

